/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 49 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

#if 0

static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a[1].i);
    check_u16(t2->a[1].i);

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_PAIR,
      .val.i = pair(t1->a[1].i, t2->a[1].i),
    };
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;
    struct f_val *val = &(tk->val);

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (tk->val.type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->val.type != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->val.val.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_EC,
      .val.ec = ec,
    };
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a[0].p = tk;
    rv->a[1].p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT) || (t3->val.type != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_LC,
      .val.lc = (lcomm) { t1->a[1].i, t2->a[1].i, t3->a[1].i },
    };
  }
  else
  {
    rv = f_new_inst(FI_LC_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
    rv->a[2].p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_inst *t)
{
  uint len = 0;
  uint dyn = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next) {
    if (tt->fi_code != FI_CONSTANT)
      dyn++;
    len++;
  }

  if (dyn) {
    struct f_inst *pmc = f_new_inst(FI_PATHMASK_CONSTRUCT);
    pmc->a[0].p = t;
    pmc->a[1].i = len;
    return pmc;
  }

  struct f_path_mask *pm = cfg_allocz(sizeof(struct f_path_mask) + len * sizeof(struct f_path_mask_item));

  uint i = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next)
    pm->item[i++] = tt->val.val.pmi;

  pm->len = i;
  struct f_inst *pmc = f_new_inst(FI_CONSTANT);
  pmc->val = (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm, };

  return pmc;
}

#endif

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 49 "conf/gen_parser.m4"

#line 993 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    PREFIX_DUMMY = 278,
    NMA = 279,
    DEFINE = 280,
    ON = 281,
    OFF = 282,
    YES = 283,
    NO = 284,
    S = 285,
    MS = 286,
    US = 287,
    PORT = 288,
    VPN = 289,
    MPLS = 290,
    FROM = 291,
    FLOW4 = 292,
    FLOW6 = 293,
    DST = 294,
    SRC = 295,
    PROTO = 296,
    NEXT = 297,
    HEADER = 298,
    DPORT = 299,
    SPORT = 300,
    ICMP = 301,
    TYPE = 302,
    CODE = 303,
    TCP = 304,
    FLAGS = 305,
    LENGTH = 306,
    DSCP = 307,
    DONT_FRAGMENT = 308,
    IS_FRAGMENT = 309,
    FIRST_FRAGMENT = 310,
    LAST_FRAGMENT = 311,
    FRAGMENT = 312,
    LABEL = 313,
    OFFSET = 314,
    QUIT = 315,
    EXIT = 316,
    HELP = 317,
    FUNCTION = 318,
    PRINT = 319,
    PRINTN = 320,
    UNSET = 321,
    RETURN = 322,
    ACCEPT = 323,
    REJECT = 324,
    ERROR = 325,
    QUITBIRD = 326,
    INT = 327,
    BOOL = 328,
    IP = 329,
    PREFIX = 330,
    RD = 331,
    PAIR = 332,
    QUAD = 333,
    EC = 334,
    LC = 335,
    SET = 336,
    STRING = 337,
    BGPMASK = 338,
    BGPPATH = 339,
    CLIST = 340,
    ECLIST = 341,
    LCLIST = 342,
    IF = 343,
    THEN = 344,
    ELSE = 345,
    CASE = 346,
    TRUE = 347,
    FALSE = 348,
    RT = 349,
    RO = 350,
    UNKNOWN = 351,
    GENERIC = 352,
    GW = 353,
    NET = 354,
    MASK = 355,
    SOURCE = 356,
    SCOPE = 357,
    DEST = 358,
    IFNAME = 359,
    IFINDEX = 360,
    PREFERENCE = 361,
    ROA_CHECK = 362,
    ASN = 363,
    IS_V4 = 364,
    IS_V6 = 365,
    LEN = 366,
    MAXLEN = 367,
    DEFINED = 368,
    ADD = 369,
    DELETE = 370,
    CONTAINS = 371,
    RESET = 372,
    PREPEND = 373,
    FIRST = 374,
    LAST = 375,
    LAST_NONAGGREGATED = 376,
    MATCH = 377,
    EMPTY = 378,
    FILTER = 379,
    WHERE = 380,
    EVAL = 381,
    ATTRIBUTE = 382,
    BT_ASSERT = 383,
    BT_TEST_SUITE = 384,
    BT_CHECK_ASSIGN = 385,
    BT_TEST_SAME = 386,
    FORMAT = 387,
    ROUTER = 388,
    ID = 389,
    PROTOCOL = 390,
    TEMPLATE = 391,
    DISABLED = 392,
    DEBUG = 393,
    ALL = 394,
    DIRECT = 395,
    INTERFACE = 396,
    IMPORT = 397,
    EXPORT = 398,
    NONE = 399,
    VRF = 400,
    DEFAULT = 401,
    TABLE = 402,
    STATES = 403,
    ROUTES = 404,
    FILTERS = 405,
    IPV4 = 406,
    IPV6 = 407,
    VPN4 = 408,
    VPN6 = 409,
    ROA4 = 410,
    ROA6 = 411,
    SADR = 412,
    RECEIVE = 413,
    LIMIT = 414,
    ACTION = 415,
    WARN = 416,
    BLOCK = 417,
    RESTART = 418,
    DISABLE = 419,
    KEEP = 420,
    FILTERED = 421,
    PASSWORD = 422,
    PASSIVE = 423,
    TO = 424,
    EVENTS = 425,
    PACKETS = 426,
    PROTOCOLS = 427,
    INTERFACES = 428,
    ALGORITHM = 429,
    KEYED = 430,
    HMAC = 431,
    MD5 = 432,
    SHA1 = 433,
    SHA256 = 434,
    SHA384 = 435,
    SHA512 = 436,
    PRIMARY = 437,
    STATS = 438,
    COUNT = 439,
    BY = 440,
    FOR = 441,
    COMMANDS = 442,
    PREEXPORT = 443,
    NOEXPORT = 444,
    GENERATE = 445,
    BGP = 446,
    PASSWORDS = 447,
    DESCRIPTION = 448,
    SORTED = 449,
    RELOAD = 450,
    IN = 451,
    OUT = 452,
    MRTDUMP = 453,
    MESSAGES = 454,
    RESTRICT = 455,
    MEMORY = 456,
    IGP_METRIC = 457,
    CLASS = 458,
    TIMEFORMAT = 459,
    ISO = 460,
    SHORT = 461,
    LONG = 462,
    ROUTE = 463,
    BASE = 464,
    LOG = 465,
    GRACEFUL = 466,
    WAIT = 467,
    MAX = 468,
    FLUSH = 469,
    AS = 470,
    IPV4_MC = 471,
    IPV4_MPLS = 472,
    IPV6_MC = 473,
    IPV6_MPLS = 474,
    IPV6_SADR = 475,
    VPN4_MC = 476,
    VPN4_MPLS = 477,
    VPN6_MC = 478,
    VPN6_MPLS = 479,
    PRI = 480,
    SEC = 481,
    SHOW = 482,
    STATUS = 483,
    SUMMARY = 484,
    SYMBOLS = 485,
    DUMP = 486,
    RESOURCES = 487,
    SOCKETS = 488,
    NEIGHBORS = 489,
    ATTRIBUTES = 490,
    ECHO = 491,
    ENABLE = 492,
    BFD = 493,
    MIN = 494,
    IDLE = 495,
    RX = 496,
    TX = 497,
    INTERVAL = 498,
    MULTIPLIER = 499,
    MULTIHOP = 500,
    NEIGHBOR = 501,
    DEV = 502,
    LOCAL = 503,
    AUTHENTICATION = 504,
    SIMPLE = 505,
    METICULOUS = 506,
    SESSIONS = 507,
    BABEL = 508,
    METRIC = 509,
    RXCOST = 510,
    HELLO = 511,
    UPDATE = 512,
    WIRED = 513,
    WIRELESS = 514,
    BUFFER = 515,
    PRIORITY = 516,
    CHECK = 517,
    LINK = 518,
    HOP = 519,
    BABEL_METRIC = 520,
    ENTRIES = 521,
    RANDOMIZE = 522,
    HOLD = 523,
    TIME = 524,
    CONNECT = 525,
    RETRY = 526,
    KEEPALIVE = 527,
    STARTUP = 528,
    VIA = 529,
    SELF = 530,
    PATH = 531,
    START = 532,
    DELAY = 533,
    FORGET = 534,
    AFTER = 535,
    BGP_PATH = 536,
    BGP_LOCAL_PREF = 537,
    BGP_MED = 538,
    BGP_ORIGIN = 539,
    BGP_NEXT_HOP = 540,
    BGP_ATOMIC_AGGR = 541,
    BGP_AGGREGATOR = 542,
    BGP_COMMUNITY = 543,
    BGP_EXT_COMMUNITY = 544,
    BGP_LARGE_COMMUNITY = 545,
    ADDRESS = 546,
    RR = 547,
    RS = 548,
    CLIENT = 549,
    CLUSTER = 550,
    AS4 = 551,
    ADVERTISE = 552,
    CAPABILITIES = 553,
    PREFER = 554,
    OLDER = 555,
    MISSING = 556,
    LLADDR = 557,
    DROP = 558,
    IGNORE = 559,
    REFRESH = 560,
    INTERPRET = 561,
    COMMUNITIES = 562,
    BGP_ORIGINATOR_ID = 563,
    BGP_CLUSTER_LIST = 564,
    IGP = 565,
    GATEWAY = 566,
    RECURSIVE = 567,
    MED = 568,
    TTL = 569,
    SECURITY = 570,
    DETERMINISTIC = 571,
    SECONDARY = 572,
    ALLOW = 573,
    PATHS = 574,
    AWARE = 575,
    EXTENDED = 576,
    SETKEY = 577,
    STRICT = 578,
    BIND = 579,
    CONFEDERATION = 580,
    MEMBER = 581,
    MULTICAST = 582,
    LIVED = 583,
    STALE = 584,
    IBGP = 585,
    EBGP = 586,
    MANDATORY = 587,
    INTERNAL = 588,
    EXTERNAL = 589,
    DYNAMIC = 590,
    RANGE = 591,
    NAME = 592,
    DIGITS = 593,
    CEASE = 594,
    HIT = 595,
    ADMINISTRATIVE = 596,
    SHUTDOWN = 597,
    PEER = 598,
    CONFIGURATION = 599,
    CHANGE = 600,
    DECONFIGURED = 601,
    CONNECTION = 602,
    REJECTED = 603,
    COLLISION = 604,
    OF = 605,
    MRT = 606,
    FILENAME = 607,
    PERIOD = 608,
    ALWAYS = 609,
    OSPF = 610,
    V2 = 611,
    V3 = 612,
    OSPF_METRIC1 = 613,
    OSPF_METRIC2 = 614,
    OSPF_TAG = 615,
    OSPF_ROUTER_ID = 616,
    AREA = 617,
    RFC1583COMPAT = 618,
    STUB = 619,
    TICK = 620,
    COST = 621,
    COST2 = 622,
    RETRANSMIT = 623,
    TRANSMIT = 624,
    DEAD = 625,
    BROADCAST = 626,
    BCAST = 627,
    NONBROADCAST = 628,
    NBMA = 629,
    POINTOPOINT = 630,
    PTP = 631,
    POINTOMULTIPOINT = 632,
    PTMP = 633,
    CRYPTOGRAPHIC = 634,
    ELIGIBLE = 635,
    POLL = 636,
    NETWORKS = 637,
    HIDDEN = 638,
    VIRTUAL = 639,
    ONLY = 640,
    LARGE = 641,
    NORMAL = 642,
    STUBNET = 643,
    TAG = 644,
    LSADB = 645,
    ECMP = 646,
    WEIGHT = 647,
    NSSA = 648,
    TRANSLATOR = 649,
    STABILITY = 650,
    GLOBAL = 651,
    LSID = 652,
    INSTANCE = 653,
    REAL = 654,
    NETMASK = 655,
    MERGE = 656,
    LSA = 657,
    SUPPRESSION = 658,
    RFC5838 = 659,
    PE = 660,
    TOPOLOGY = 661,
    STATE = 662,
    PERF = 663,
    EXP = 664,
    REPEAT = 665,
    THRESHOLD = 666,
    MODE = 667,
    PIPE = 668,
    RADV = 669,
    RA = 670,
    SOLICITED = 671,
    UNICAST = 672,
    MANAGED = 673,
    OTHER = 674,
    CONFIG = 675,
    LINGER = 676,
    MTU = 677,
    REACHABLE = 678,
    RETRANS = 679,
    TIMER = 680,
    CURRENT = 681,
    VALID = 682,
    PREFERRED = 683,
    MULT = 684,
    LIFETIME = 685,
    SKIP = 686,
    ONLINK = 687,
    AUTONOMOUS = 688,
    RDNSS = 689,
    DNSSL = 690,
    NS = 691,
    DOMAIN = 692,
    TRIGGER = 693,
    SENSITIVE = 694,
    LOW = 695,
    MEDIUM = 696,
    HIGH = 697,
    PROPAGATE = 698,
    RA_PREFERENCE = 699,
    RA_LIFETIME = 700,
    RIP = 701,
    NG = 702,
    INFINITY = 703,
    TIMEOUT = 704,
    GARBAGE = 705,
    VERSION = 706,
    SPLIT = 707,
    HORIZON = 708,
    POISON = 709,
    REVERSE = 710,
    ZERO = 711,
    PLAINTEXT = 712,
    RIP_METRIC = 713,
    RIP_TAG = 714,
    RPKI = 715,
    REMOTE = 716,
    BIRD = 717,
    PRIVATE = 718,
    PUBLIC = 719,
    KEY = 720,
    SSH = 721,
    TRANSPORT = 722,
    USER = 723,
    EXPIRE = 724,
    STATIC = 725,
    PROHIBIT = 726,
    BLACKHOLE = 727,
    UNREACHABLE = 728,
    KERNEL = 729,
    KRT_PREFSRC = 730,
    KRT_REALM = 731,
    KRT_SCOPE = 732,
    KRT_MTU = 733,
    KRT_WINDOW = 734,
    KRT_RTT = 735,
    KRT_RTTVAR = 736,
    KRT_SSTRESH = 737,
    KRT_CWND = 738,
    KRT_ADVMSS = 739,
    KRT_REORDERING = 740,
    KRT_HOPLIMIT = 741,
    KRT_INITCWND = 742,
    KRT_RTO_MIN = 743,
    KRT_INITRWND = 744,
    KRT_QUICKACK = 745,
    KRT_LOCK_MTU = 746,
    KRT_LOCK_WINDOW = 747,
    KRT_LOCK_RTT = 748,
    KRT_LOCK_RTTVAR = 749,
    KRT_LOCK_SSTRESH = 750,
    KRT_LOCK_CWND = 751,
    KRT_LOCK_ADVMSS = 752,
    KRT_LOCK_REORDERING = 753,
    KRT_LOCK_HOPLIMIT = 754,
    KRT_LOCK_RTO_MIN = 755,
    KRT_FEATURE_ECN = 756,
    KRT_FEATURE_ALLFRAG = 757,
    SYSLOG = 758,
    TRACE = 759,
    INFO = 760,
    WARNING = 761,
    AUTH = 762,
    FATAL = 763,
    BUG = 764,
    STDERR = 765,
    SOFT = 766,
    CONFIRM = 767,
    UNDO = 768,
    LATENCY = 769,
    WATCHDOG = 770,
    CONFIGURE = 771,
    DOWN = 772,
    PERSIST = 773,
    SCAN = 774,
    LEARN = 775,
    DEVICE = 776,
    KRT_SOURCE = 777,
    KRT_METRIC = 778
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 53 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1599 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1616 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6146

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  545
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  409
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1376
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2530

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   778

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    34,     2,     2,     2,    33,     2,     2,
     536,   537,    31,    29,   538,    30,    35,    32,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   541,   535,
      25,    24,    26,   544,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   542,     2,   543,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   539,     2,   540,    27,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    28,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   132,   132,   133,   136,   138,   141,   146,   149,   157,
     158,   159,   165,   166,   167,   170,   170,   175,   176,   177,
     178,   179,   180,   187,   188,   189,   196,   197,   204,   210,
     220,   233,   252,   258,   264,   272,   280,   286,   286,   287,
     287,   288,   288,   291,   292,   293,   294,   295,   296,   303,
     304,   312,   313,   321,   322,   330,   331,   332,   333,   334,
     344,   352,   353,   362,   370,   371,   378,   379,    37,    38,
      39,    40,    41,    42,    43,    44,    48,    49,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    64,    65,    66,
      67,    70,    71,    75,    79,    83,    84,    88,    92,   101,
     102,   106,   110,   114,   121,   122,   126,   127,   128,   129,
     133,   136,   139,   145,   149,   150,   151,   155,   159,   165,
     166,   167,   168,   171,   173,   176,   178,   182,   189,   190,
     192,   198,   204,   204,     9,     9,    10,    10,    11,    11,
     468,   470,   470,   480,   482,   485,   486,   490,   492,   503,
     505,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   556,   558,   565,
     566,   573,   574,   580,   583,   587,   595,   602,   608,   610,
     610,   623,   624,   627,   635,   636,   650,   653,   662,   663,
     676,   677,   678,   679,   680,   684,   692,   693,   694,   695,
     699,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   716,   717,   718,   719,   723,   724,   725,   729,   730,
     731,   732,   733,   734,   735,   736,   741,   742,   743,   744,
     745,   749,   750,   751,   752,   753,   757,   758,   762,   763,
     767,   768,   769,   770,   778,   779,   782,   783,   791,   801,
     802,   806,   810,   811,   812,   816,   817,   818,   819,   823,
     824,   825,   826,   827,   828,   829,   830,   835,   836,   840,
     841,   842,   843,   848,   849,   850,   853,   877,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   908,   909,   910,
     911,   912,   913,   914,   915,   916,   917,   918,   919,   920,
     921,   922,   923,   924,   926,   927,   928,   930,   932,   934,
     936,   937,   938,   939,   940,   941,   942,   943,   944,   945,
     946,   947,   957,   958,   959,   960,   961,   962,   963,   964,
     966,   967,   969,   973,   977,   978,   979,   980,   983,   984,
     985,   994,   997,  1000,  1012,  1016,  1019,  1024,  1027,  1030,
    1041,  1045,  1048,  1049,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1063,  1068,  1069,  1070,  1071,   106,   109,   110,   114,
     115,   116,   117,   127,   129,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   152,   155,   156,   159,   169,
     172,   173,   177,   183,   187,   197,   207,   209,   210,   211,
     212,   213,   214,   215,   219,   225,   230,   231,   232,   233,
     234,   235,   236,   239,   241,   244,   246,   250,   257,   260,
     263,   264,   265,   266,   270,   271,   272,   273,   274,   278,
     279,   283,   286,   287,   292,   295,   296,   297,   298,   302,
     303,   304,   305,   306,   307,   308,   309,   313,   320,   328,
     329,   333,   334,   338,   343,   344,   348,   350,   358,   362,
     363,   368,   370,   377,   378,   379,   380,   381,   385,   393,
     399,   400,   401,   405,   406,   410,   411,   412,   413,   414,
     415,   421,   422,   423,   427,   428,   432,   433,   439,   440,
     443,   445,   449,   450,   454,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   501,   501,   504,   504,   507,   507,
     510,   510,   514,   515,   518,   518,   521,   521,   525,   525,
     529,   535,   540,   546,   552,   559,   570,   581,   586,   591,
     595,   599,   603,   613,   624,   633,   637,   644,   648,   649,
     650,   651,   655,   659,   663,   677,   678,   679,   680,   683,
     684,   685,   690,   691,   692,   693,   694,   695,   696,   697,
     698,   699,   700,   701,   702,   703,   704,   705,   706,   707,
     708,   709,   713,   713,   717,   720,   721,   722,   723,   724,
     725,   730,   730,   732,   732,   734,   734,   736,   736,   738,
     738,   740,   740,   742,   742,   744,   744,   746,   746,   749,
     749,   753,   753,   759,   760,   761,   765,   766,   772,   772,
     774,   774,   776,   776,   778,   778,   780,   780,   782,   782,
     786,   786,   790,   790,   793,   793,   797,   798,   799,   803,
     804,   805,   808,    34,    36,    44,    45,    46,    47,    50,
      52,    56,    60,    74,    94,    95,    96,    97,    98,    99,
     100,   101,   105,   106,   107,   108,   109,   110,   113,   115,
     118,   120,   124,   127,   132,   133,   134,   138,   139,   143,
     144,   147,   166,   166,    32,    34,    42,    43,    44,    45,
      48,    50,    54,    58,    72,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     114,   116,   119,   121,   126,   128,   132,   132,   135,   135,
     138,   138,   141,   141,    46,    48,    77,    79,    80,    83,
      85,    86,    87,    88,    93,    94,    98,    99,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   115,   116,   117,
     118,   119,   123,   124,   130,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   209,   234,
     235,   236,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   272,   274,   277,   279,   283,   290,   293,
     295,   297,   299,   301,   303,   305,   307,   309,   311,   313,
     315,    26,    28,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    46,    50,    53,    53,    57,    58,    59,    60,
      61,    62,   211,   214,   215,   216,   219,   235,   236,   240,
     241,   245,   255,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   275,   290,
     293,   295,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   308,   309,   309,   310,   311,   312,   316,   317,
     321,   329,   331,   335,   336,   337,   341,   342,   345,   347,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   363,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     422,   424,   427,   429,   437,   439,   440,   443,   445,   449,
     450,   453,   463,   484,   486,   490,   490,   493,   495,   498,
     500,   504,   507,   508,   509,   510,   513,   513,   516,   516,
     519,   519,   524,   524,   527,   527,   532,   532,   535,   535,
     539,   539,   548,   551,   552,   553,   554,   555,   556,   557,
     558,    24,    26,    39,    40,    41,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    23,    26,    25,    40,    41,
      42,    43,    44,    46,    57,    58,    59,    60,    61,    61,
      62,    62,    63,    64,    67,    69,    73,    77,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   115,
     119,   120,   121,   122,   123,   124,   124,   125,   125,   126,
     127,   131,   132,   133,   136,   174,   176,   179,   181,   185,
     188,   200,   201,   202,   203,   207,   214,   222,   224,   227,
     229,   233,   237,   247,   252,   253,   254,   258,   270,   272,
     276,   277,   281,   294,   299,   300,   301,   305,   317,   319,
     323,   324,   329,   330,   334,   335,   338,   339,    45,    48,
      49,    52,    66,    67,    68,    69,    70,    71,    74,    76,
      80,    84,   108,   138,   139,   140,   141,   142,   143,   144,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   169,   170,
     171,   172,   175,   177,   180,   182,   186,   189,   190,   194,
     194,   197,   197,    41,    43,    50,    52,    54,    58,    59,
      60,    61,    62,    63,    64,    70,    76,    85,    86,    89,
      92,    96,   107,   108,   112,   119,   125,   127,   131,   132,
     133,   137,    54,    56,    63,    64,    65,    66,    67,    75,
      79,    84,    89,    92,    95,    99,   105,   106,   109,   121,
     122,   126,   131,   132,   133,   134,   135,   136,   140,   149,
     151,   154,   156,   160,   160,    22,    25,    26,    29,    30,
      31,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    60,    61,    31,    33,    35,    42,
      43,    46,    48,    52,    59,    60,    64,    65,    69,    70,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    86,
      89,    90,    98,   101,   102,   103,   104,   112,   112,   115,
     115,   122,   122,   125,   125,   128,   128,   131,   131,   134,
     134,   137,   137,   142,   143,   147,   148,   149,    41,    43,
      48,    49,    52,    53,    57,    58,    59,    60,    64,    71,
      72,    83,    85,    88,    89,    92,    93,    94,   101,   108,
     111,   113,   116,   118,   122,   125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'",
  "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO",
  "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST",
  "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP", "TYPE",
  "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT",
  "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "QUIT",
  "EXIT", "HELP", "FUNCTION", "PRINT", "PRINTN", "UNSET", "RETURN",
  "ACCEPT", "REJECT", "ERROR", "QUITBIRD", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE",
  "SCOPE", "DEST", "IFNAME", "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN",
  "IS_V4", "IS_V6", "LEN", "MAXLEN", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER",
  "ID", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "DYNAMIC", "RANGE", "NAME",
  "DIGITS", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER",
  "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED",
  "COLLISION", "OF", "MRT", "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2",
  "V3", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "WEIGHT", "NSSA",
  "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY",
  "STATE", "PERF", "EXP", "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV",
  "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER",
  "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED",
  "MULT", "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL",
  "NS", "DOMAIN", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH",
  "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY",
  "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE",
  "ZERO", "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "RPKI", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'['", "']'", "'?'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "gr_opts", "net_type",
  "table_sorted", "table", "proto_start", "proto_name", "proto_item",
  "channel_start", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "cmd_MRTDUMP", "cmd_RESTRICT",
  "proto_patt", "proto_patt2", "dynamic_attr", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_iface_start",
  "bfd_iface_finish", "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_proto", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@3", "$@4", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@5",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@6", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@7", "$@8", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@9", "$@10", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    61,    60,    62,   126,   279,    43,
      45,    42,    47,    37,    33,    46,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,    59,    40,    41,    44,   123,
     125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -2008

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2008)))

#define YYTABLE_NINF -67

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-67)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      53,  2359,    76,    55,    86,   154,   322,  4285,   500,   500,
     500,   805,   500,   330,   293,  2814,  1057,   160,   500,   256,
     478,   559, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008,   589, -2008, -2008, -2008,   589,   589,  4285,  2746,    42,
     118,   558, -2008, -2008,   -71, -2008,   571, -2008, -2008, -2008,
   -2008,   438,   901, -2008,   586,  -208, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008,   626, -2008,  4189,
   -2008, -2008, -2008,  1161,  2541,  1161, -2008,  1161, -2008,  1161,
    5553,  1161, -2008,  1161,  3909,  1161,  3464,   273,  1651,  1161,
   -2008,  1161, -2008,  1161, -2008,  1161,  3602,  4859, -2008, -2008,
   -2008,  1161,  1161,  2326, -2008, -2008, -2008,   253, -2008, -2008,
     797,   842,   730,   311, -2008,   753,   294,  4285,   867, -2008,
     364,   421, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,   469,   486,   490,   530,   542,   550,   573,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008,  2437,   152,   812,   925, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008,  4188, -2008, -2008, -2008,
   -2008,   211,  1135,  1135,   500,   500,  1160,   303, -2008,  1176,
     771,   116,  1186, -2008,  1206, -2008,   969,   788,   452,   551,
    1219,  1093,  1245,  1261,  1265,  1268,  1281,  1304,  1314,  1321,
   -2008, -2008,   849,  1326,  1135, -2008, -2008,  1359,  1307,  1307,
    1379,  1385,   939, -2008, -2008, -2008,  1399, -2008, -2008,  4333,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,   802,  1408,  1428,   254,   211,
     315,   314, -2008, -2008, -2008,   303,   916, -2008, -2008, -2008,
   -2008,   270,   932,   369,  1237,   315,   315,   589, -2008, -2008,
   -2008, -2008, -2008,   555, -2008, -2008, -2008,  1021, -2008, -2008,
   -2008, -2008, -2008, -2008,  1465,  1446,   980,  1377,  1056,   211,
   -2008,   506,   535,   303,  1257, -2008, -2008,  1000,  1047,  1004,
    1067,  1070,  1076,  1078, -2008, -2008,   377,  1333,  1105,  1629,
     680,    78,   127,   141,   143,  1367,   535,  1056,  1328,  1496,
     816,   685,   102,   269,   923,  1400,  1396,   194,  1405,  1411,
    1430,  1448,   833,  1395,  1056,  1434,  1393,  1454,  1468,  1418,
    1417,   633,  1056,  1412,    87,  1403, -2008,  1221, -2008,  1218,
    1223,  1225,  1226,  1346,  1593,   265,  1056,  1626,   315,  1056,
    1627,  1432,  1056, -2008,  1435, -2008,  1047, -2008,  1240,  1241,
   -2008,  1242,  1056,   300,  1764,   703,   962, -2008,  1249, -2008,
    1251, -2008,   315,   821,  1236,  1767,  1618,  1633, -2008,  1258,
    1262,  1267,  1272,  1273,  1276,  1898,  1522,  1658, -2008,  1287,
    1289,   822,  1280,  1653,   315,  1495,  1671,  1056,  1550,  1056,
   -2008, -2008, -2008,  1296,  1298,  1297,  1301, -2008,  1555, -2008,
   -2008,  1306,    59, -2008,   253,  4285,   228,   253,   253,  1828,
   -2008,  1829, -2008,  1830,   797,  1817, -2008, -2008,  4285,  1823,
     464,  1824,  1821, -2008, -2008, -2008,  1767,  4285,  4285,  4285,
    4285,  4285,  4285, -2008, -2008,  1842, -2008,  1320,   153, -2008,
   -2008,  1817, -2008, -2008,  2122, -2008, -2008,   146, -2008,  1852,
   -2008, -2008, -2008, -2008,   382, -2008,   597,  1846,  1848, -2008,
    4285,  4285,  4285,  4285,  4285,  4285,  4285,  4285,  4285,  4285,
    4285,  4285,  4285,  4285,  2035, -2008, -2008,  1085,  1864, -2008,
    1865,  1866,  1867,  1874, -2008, -2008, -2008,   654,  1875, -2008,
   -2008, -2008,  1192,  1881, -2008,  1893, -2008,  4678, -2008,  1613,
    1219,  1219,  1219,  1219,  1219, -2008,  1219,  1219, -2008,   359,
     432,  1894,  1219,  1219,  1896,  1897, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,   810, -2008, -2008,  1903,  1904,  1162, -2008,
    1905,   939, -2008, -2008,   315,  1907,  4285,  1330, -2008, -2008,
    1341,  1373,  1374, -2008, -2008, -2008, -2008,  4285,  1378, -2008,
   -2008, -2008,  4285, -2008, -2008, -2008, -2008, -2008,   315, -2008,
   -2008,  1390, -2008,   315,  1035, -2008,  1566, -2008,   315,   -90,
     315,  1602, -2008, -2008,  1719, -2008, -2008,  1161, -2008, -2008,
    1908, -2008,   265, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
    1056, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1650,
    1655,   923, -2008,  1402,   315,   315, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,    75,  1404,  1410,  -140,   375,  1615,
    1056,  1728,  1413,  1414, -2008,  1416, -2008, -2008, -2008,  1173,
    1917,   235,  1917,    77,  1056,   315,  1660,  1672,   315,  1673,
    1056,  1674,  1056,  1810,  1056,  1421,  1056,  1056,  1056,  1056,
    1056,  1056,  1733,  1056,  1425,  1056,  1056,  1426,   174, -2008,
   -2008, -2008, -2008, -2008, -2008,  1056,   706, -2008, -2008,  1056,
   -2008,  1793,   315,  1056, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008,  1949,  1950, -2008,   315,   315, -2008, -2008, -2008,
   -2008, -2008,  1946,  4285, -2008, -2008,   430,  1790, -2008, -2008,
     430, -2008, -2008, -2008,   430,  1767, -2008, -2008, -2008, -2008,
   -2008, -2008,   842,   730, -2008, -2008, -2008,  1056,  1767, -2008,
   -2008, -2008,   997, -2008,   923, -2008, -2008, -2008,    26,  1683,
   -2008,  1437,  1056, -2008,  1056,   315, -2008,   315, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,   315, -2008,  1954, -2008, -2008,
     907, -2008, -2008,   603, -2008, -2008, -2008, -2008,  1928,  1961,
     587,  4333, -2008,  1844,  1952, -2008, -2008, -2008,   751,   953,
     230,   288,   376,   411,  1073, -2008,  4285, -2008,  4285,  1442,
      10,  1445,  1102, -2008, -2008,  1969,   614,   228, -2008,   730,
   -2008,  1761,  1765,  4345,  4345,  4345,  4506,  4506,  4345,  4345,
    4345,  4345,  4345,  1024,  1024,  1821,  1821, -2008, -2008, -2008,
   -2008,  1456, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,   815, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   882, -2008, -2008,  1987, -2008, -2008,
   -2008,  1946,  1975, -2008,  1839,  1841,   465, -2008, -2008, -2008,
   -2008,  1392, -2008, -2008, -2008, -2008,  1980, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  1998,  1135,  1135,  1135,  1135,  1135,
    1135,  1475,  1219,  1135,  1219,  1135, -2008,  1135,  1135, -2008,
   -2008,   849, -2008, -2008, -2008, -2008,  1946,  1415,   535, -2008,
   -2008,  1999, -2008, -2008,  2493,  1466, -2008,  1510, -2008, -2008,
   -2008,   535,  1984, -2008,  1480,  1175, -2008,  1248, -2008, -2008,
    1995,  1350,  1361,   535, -2008,   535, -2008, -2008,   849,  1483,
    1484, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1990,
   -2008,  1485,  1487,   240, -2008,  1594,  3776,   315,   315,  1500,
   -2008,  1508,  1509,  1056,   268, -2008, -2008,  1871,  1766,   315,
    1515,  1528,  1056,  1529,  1056, -2008, -2008, -2008, -2008, -2008,
   -2008,   589, -2008,   315,   315, -2008, -2008, -2008, -2008,   315,
     315, -2008,  1531,  1532,   315,   315,  1533,   315,  1534,   315,
    1535,   265,  1536, -2008,  1537,  1538,  1539,  1542,  1543,  1544,
     275,  1545, -2008,  1546,  1547, -2008,   315,  1548,  3279, -2008,
    2230, -2008,   315, -2008, -2008, -2008,   315, -2008, -2008, -2008,
    1433, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  4333, -2008,
    1913, -2008,  1056, -2008, -2008,  1556,  4408,  3984,  2981,  1557,
    1559, -2008,  1917,  2039,  2072,  1056,   315,  1056,    26,  4549,
   -2008, -2008,  1920, -2008, -2008,  1485,  1558, -2008,   253, -2008,
     253,  2077, -2008, -2008,  4285,  2066,  2068, -2008, -2008, -2008,
    4285, -2008,  4285,  4285,  4285,  4285, -2008,   616,   199,  2745,
    4285,  3053,  4285, -2008,  1562,  4285, -2008, -2008, -2008,  2087,
    2089,  4285,  1085, -2008,   654, -2008, -2008, -2008, -2008,  2085,
    2091, -2008, -2008,   797,   231,  1422, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  2074, -2008,  2104,  2111,  2112,  2118,
    2123,  2126, -2008, -2008,  2110,   265, -2008, -2008,   265, -2008,
     265,  1135,  2127,  1135,  2128,  2129,  2133, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,  2746, -2008,  5078,   802,  1606,
    1607,  1485, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008,   918, -2008, -2008, -2008,  2125, -2008, -2008, -2008,
    1614, -2008, -2008,   923, -2008, -2008,  1637, -2008,  2004, -2008,
   -2008, -2008,  1638,  1612,  1649, -2008, -2008, -2008,  1652,   861,
   -2008,  1654,   930,   315,  1657, -2008, -2008,  1664, -2008,  1665,
     645, -2008,   698, -2008, -2008,   222, -2008, -2008, -2008, -2008,
    1666,  1669, -2008,  1670, -2008,  1684, -2008,  1686, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008,  1687, -2008, -2008, -2008,
    1688, -2008,  1889,  1855,  1318,  1511,  1849,  2016,  1890,  2048,
     151,  1056,  2154,  1056, -2008, -2008,  1689,  1946,  1443,   535,
     315,  2093, -2008, -2008, -2008,  1706, -2008, -2008, -2008,   819,
    1056, -2008,  1052, -2008,  1968,  1173, -2008,   343, -2008,  1708,
   -2008,  1835,  1439, -2008, -2008, -2008,  1494, -2008, -2008, -2008,
    1494,  2092, -2008, -2008, -2008,  1710, -2008,  1056,   315, -2008,
   -2008, -2008,  1714,   315,  2078,  2078,  1512,   -20,  2078, -2008,
   -2008, -2008,  1718, -2008, -2008, -2008, -2008,  2072, -2008, -2008,
    2223, -2008, -2008, -2008,     0,  4285,  4285,  1720,  4285, -2008,
   -2008, -2008, -2008,  4285,  4285,  2239,  1730,  1731, -2008,  1729,
    2246,  4285, -2008,   971, -2008,   315, -2008, -2008, -2008, -2008,
   -2008,  2240,  4333,  2241, -2008,  1345,  1283,   684,  1284,  1349,
    1472,  1516,  4285, -2008,  4285,   933,    19,  4333,  1735,   937,
      14,  1745,  2269,  1102, -2008, -2008,  1552, -2008, -2008,  2256,
    2257,  2275,   797,  1817,  3677, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,  2291, -2008,  2292, -2008, -2008,
   -2008,   802,  1756, -2008,  5078, -2008,  1762, -2008,  2283, -2008,
    1488,  1498, -2008, -2008, -2008, -2008, -2008,  1760, -2008,    35,
   -2008, -2008, -2008, -2008,  2155, -2008,   315, -2008, -2008,  2131,
    1953, -2008,   122,  1958,  1955,  1214,   998, -2008, -2008,  1781,
    1782,  1783, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,   384,   475,  1056,  1056,   267,
    1056,   748,  1767, -2008, -2008, -2008,  2044, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  2033, -2008, -2008, -2008,   315,   315,
    1056, -2008,  1788,   315, -2008,  1789,   265, -2008, -2008,  1791,
     315, -2008, -2008,   315,  1792, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008,  1794, -2008, -2008, -2008,   119,    20, -2008,  1056,
   -2008, -2008, -2008,  2159, -2008, -2008, -2008, -2008,   315,   315,
   -2008, -2008, -2008,  2277, -2008, -2008, -2008,   315, -2008,  2223,
    2317,  4285,   809,  1799,  1801,  5612,  2651,  3282,   123,  4285,
   -2008, -2008, -2008,  4285,  1812,  4285,  1197, -2008,     5,  2335,
    2321, -2008, -2008, -2008, -2008,  2298, -2008, -2008,  1595,  2293,
   -2008, -2008, -2008, -2008, -2008,   984,  2319,  2319,  1173,  1820,
   -2008, -2008,   984,  2319,  2319,  2319,  1494,  1825,  4285, -2008,
   -2008, -2008, -2008,  1696,  1863, -2008,  2325,  4285, -2008,  3361,
   -2008,  2328,  4285,  2354,  3669,  3977,  1822, -2008,  3677,  3677,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  1054, -2008, -2008, -2008,  1826,   797,
    1817, -2008, -2008, -2008, -2008,  1760, -2008, -2008,   589,   535,
    2105,  1832,  1056,  1833,  2018,  2124, -2008, -2008, -2008, -2008,
   -2008, -2008,   861, -2008, -2008, -2008, -2008,   467,   467,   923,
   -2008, -2008, -2008, -2008, -2008,  2201,  2096, -2008, -2008, -2008,
   -2008, -2008,  1056,  1056,  1485,  1838, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1843,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1845,
     315, -2008, -2008, -2008, -2008,  1850, -2008, -2008,  2792,  4285,
   -2008, -2008,  1853, -2008,  4814, -2008,  2886,  4285,  5180,  2956,
   -2008,  2984,  1851,  1856,  1857,  1860,  1861,   923, -2008,  1868,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  2374,   315,  1668, -2008,  1847, -2008,
      84,   315,  1561,   114, -2008, -2008,  1668,    84,   114,    84,
    2329, -2008,  2002, -2008, -2008,  1854,  1859,  1146,    24,  1869,
    1155,  1876,  1870,    40,  1872,    48, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,  1873, -2008, -2008, -2008,   923,  2146, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008,  1056,   315, -2008, -2008,  1835, -2008, -2008,    18,
      80,  -141,  2134,   843, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,  1891,  5078,  2304, -2008,    47,
   -2008,  4333, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  4285,
    4285,  4285, -2008,  4285, -2008, -2008,   315, -2008, -2008,   315,
    1406,   315, -2008,  2319,  2319,  2379, -2008, -2008, -2008, -2008,
   -2008,  2319,  2319,  2409, -2008, -2008, -2008, -2008,  2394,  4285,
   -2008, -2008, -2008,  2396,  4285, -2008,  4285,  2421, -2008,  4285,
   -2008, -2008,   535,  1056,  1906,  1444,  2176,   315,   315,   690,
   -2008, -2008, -2008,  1912,  1900, -2008,  1056, -2008,  1389, -2008,
   -2008, -2008, -2008,  5547, -2008, -2008, -2008,   630, -2008,  1056,
     315,  1056, -2008,  1901,   315,   292,   315,   315,  2144,   171,
   -2008, -2008,  1909,  2006,  2017,  1056,  1056,  1056, -2008,  1925,
    3795, -2008,   291,   317,  3182, -2008,    46, -2008,  1921,  4814,
    5078, -2008, -2008,  2122, -2008, -2008,  2436, -2008, -2008, -2008,
   -2008,   334,  1926,  1924,  2030,  2151,  2185,  2250, -2008,  1847,
     315, -2008,   315,   315,   315,  1561,  1561, -2008,  1927,  1931,
    1932,  1934,  1936,  1929,  1939, -2008, -2008,  2299,  2225,  2226,
    2227, -2008, -2008, -2008,  1514, -2008,  2301, -2008,   973, -2008,
   -2008,   315,  2213,  1429,   315,  2219,   487,   315,  2243,  2244,
    2221, -2008,  1964,  1183,   315,  1967,  1056,  2229,   834,   518,
     315,   315,  2235,  2097,  2186,  2142,  1056,   315,   315,  2222,
     307,  2116,   315,  2135,  2147, -2008, -2008,  1996, -2008,   315,
    2001, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008,   315,   315, -2008, -2008,   315,   315, -2008, -2008, -2008,
   -2008,   185,   -74,   227,  2130,   308,  2115,  2132,  1056,  2106,
    2279,  2121,  2285,  2305,  2310, -2008,  2036,   217,   923, -2008,
    2038,   217,  2552, -2008,  2040,   315,  1056,  1056,  2308,   847,
     263,   315,  2296,  -146,   923,  2258,  2179,   202,  2303,  2306,
     344,  2136,  2119, -2008, -2008,  2053,  2161,  2163,   535, -2008,
    2061, -2008, -2008, -2008,  2278,   125,   197,  5078,  2063,  4285,
    2064,  2067,  2069,  2070, -2008,  2571,  2606, -2008, -2008, -2008,
   -2008, -2008, -2008,  4285, -2008,  4285, -2008,  2099,  2107,   315,
     315,   315, -2008, -2008,  1521,  2618,   331,   315,  2618,  1527,
     363,  2101, -2008,  1553, -2008, -2008, -2008,   315,   315,   315,
     315,   315, -2008, -2008,   315,   315,  1056, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,   451,
     315,   315, -2008, -2008, -2008, -2008, -2008, -2008,  1056,  2231,
    1001,  1056, -2008, -2008, -2008,   315,   315, -2008,  1056, -2008,
     315,  1056, -2008, -2008, -2008, -2008, -2008,  2193,  2193,  2364,
   -2008,  1212,   315,  1212,  2366,   315,  2393,   315,  2395,   315,
    2220, -2008,  1056,   315,   315,  2481,  1056,   119,  1056,    20,
   -2008,   315, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   315,   315,   315, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   315,  1056,  1056, -2008,  1132,   315,
   -2008, -2008,   315,   315,  1056, -2008,  1056,  1056, -2008,  2177,
    2178, -2008, -2008, -2008, -2008,  4285, -2008, -2008, -2008, -2008,
    2314, -2008, -2008, -2008, -2008,   315,   315,  2120,  2114, -2008,
    2299, -2008, -2008, -2008, -2008, -2008, -2008,  2137,  2618,  2618,
    2138,  2149,  1036,  1364,  2152,  2618,  2618, -2008,   923,   923,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,    96, -2008,
   -2008, -2008, -2008, -2008, -2008,  1056,  2270, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  1056, -2008, -2008,   315, -2008, -2008,
   -2008, -2008,  2193, -2008,   315,  2193,   315, -2008,   315, -2008,
    1056, -2008, -2008, -2008,   315, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008,  2271, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   535,   535,  2278,  2156, -2008, -2008,
   -2008,  4285, -2008,   973,  2157,  2160,   973,   973, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,   973,  2164,
    2165, -2008, -2008, -2008,  2274, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008,  2158, -2008,   973,   973, -2008, -2008, -2008,   973,   973,
   -2008,  2166,  4285, -2008, -2008, -2008, -2008, -2008,  2172, -2008
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1343,     0,     3,   134,   136,   138,   514,   516,   518,   520,
     524,   526,   528,   582,   591,   593,   595,   597,   599,   601,
     603,   605,   607,   609,   611,   618,   620,   622,   624,   626,
     628,   630,   632,   634,   682,   716,   718,   720,   722,   874,
    1016,  1018,  1020,  1022,  1024,  1026,  1028,  1030,  1199,  1201,
    1263,  1327,  1329,  1331,  1333,  1335,  1337,  1339,  1341,     1,
       2,     0,   384,   382,   383,     0,     0,     0,     0,     0,
       0,     0,   390,   391,     0,   375,   376,   378,   379,   380,
     381,     0,     0,  1297,     0,     0,     6,     5,     7,   140,
     143,   145,   147,   149,   178,   366,   373,     0,   385,     0,
     431,   434,   389,   392,   396,   392,   643,   392,   684,   392,
     396,   392,   861,   392,   396,   392,   396,     0,   396,   392,
    1062,   392,  1148,   392,  1203,   392,   396,   396,  1296,  1319,
    1322,   392,   392,   396,   135,   137,   139,   258,   259,   268,
     188,   189,   264,   277,   262,     0,     0,     0,     0,   278,
       0,     0,   281,   260,   261,   279,   280,   282,   283,   284,
     285,   286,   307,     0,     0,     0,     0,     0,     0,     0,
     642,   715,   850,   853,   852,   849,   851,   854,   855,   856,
     859,   860,   857,   858,  1012,  1013,  1014,  1015,  1146,  1147,
    1197,  1198,  1268,  1269,  1270,  1271,  1272,  1273,  1274,  1275,
    1276,  1277,  1278,  1279,  1280,  1281,  1282,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,  1292,  1293,  1294,  1295,
    1375,  1376,     0,     0,    37,    38,    47,    39,    40,    41,
      42,    48,    43,    44,    45,   265,   132,   133,    46,   263,
     272,   305,   306,   333,   304,   308,     0,   309,   636,   638,
     637,     0,    67,    67,     0,     0,     0,     0,   635,     0,
     640,     0,     0,   530,     0,   584,     0,     0,   523,     0,
     523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     614,   613,     0,   616,    67,   876,  1344,     0,  1343,  1343,
       0,     0,  1345,  1340,    16,    15,     0,   179,   141,   144,
     151,   152,   153,   155,   154,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,     0,     0,     0,     0,     0,
       0,    22,   377,    65,    64,     0,     0,   436,   435,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   462,   725,
     644,   685,   862,   883,  1042,  1056,  1063,  1149,  1204,  1233,
    1349,  1362,   886,  1151,     0,   393,     0,     0,    22,     0,
     468,     0,     0,     0,     0,   461,   404,     0,   415,     0,
       0,     0,     0,     0,   816,   817,     0,     0,     0,     0,
       0,   806,   807,     0,     0,     0,     0,    22,     0,     0,
       0,    22,     0,   729,   726,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,   724,     0,   818,   845,
       0,     0,     0,     0,     0,     0,    22,     0,     0,    22,
       0,     0,    22,   882,   889,   893,   415,   894,     0,     0,
     907,     0,    22,     0,     0,     0,     0,  1041,     0,  1046,
       0,  1058,     0,     0,     0,     0,     0,     0,  1055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1232,     0,
       0,  1252,  1261,     0,     0,     0,     0,    22,     0,    22,
    1348,  1354,  1355,     0,     0,     0,     0,  1368,     0,  1361,
    1365,     0,   258,   277,   258,     0,     0,   258,   258,     0,
     249,     0,    29,     0,     0,     0,    32,    33,   273,     0,
       0,     0,   302,    36,   127,   127,     0,     0,     0,     0,
       0,     0,     0,   211,   212,     0,   214,     0,     0,   190,
     193,   189,   192,   195,     0,    37,    38,   240,   191,   229,
     226,   227,   228,   236,     0,   244,     0,     0,     0,   610,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   471,   470,     0,     0,    66,
       0,     0,     0,     0,   625,   482,   481,     0,     0,  1342,
     639,   641,   640,     0,   525,     0,   517,     0,   515,     0,
     523,   523,   523,   523,   523,   522,   523,   523,  1032,   523,
     523,     0,   523,   523,     0,     0,   604,   596,   606,   598,
     592,   594,   600,   602,  1315,  1310,  1313,  1311,  1312,  1314,
    1316,  1317,  1318,     0,  1308,   617,     0,     0,     0,  1336,
       0,  1345,  1332,  1334,  1346,     0,     0,     0,   171,   166,
       0,     0,     0,   369,   371,   372,   457,     0,     0,   432,
       9,    11,     0,   433,    18,    20,    19,    21,     0,    17,
    1323,     0,  1321,   439,     0,   447,  1300,  1305,  1301,     0,
       0,     0,  1326,  1325,   386,   884,   885,   392,  1150,   394,
       0,   463,     0,   397,   398,   448,   403,   402,   401,   399,
      22,   464,   413,   417,   465,   466,   649,   690,   747,     0,
       0,     0,   763,     0,     0,     0,   810,   808,   811,   809,
     812,   814,   813,   815,     0,     0,     0,     0,    22,     0,
      22,     0,     0,     0,   764,     0,    23,    24,    25,     0,
      26,     0,    26,     0,    22,     0,     0,     0,     0,     0,
      22,     0,    22,     0,    22,     0,    22,    22,    22,    22,
      22,    22,     0,    22,     0,    22,    22,     0,     0,   748,
     843,   847,   749,   871,   887,    22,    22,   908,   895,    22,
     905,   902,     0,    22,   896,   890,   891,   417,   888,   910,
    1043,  1052,     0,     0,  1049,     0,     0,  1053,  1054,  1045,
    1044,   411,   171,     0,   422,   423,     0,     0,   421,   406,
       0,   407,   419,   405,     0,     0,  1059,  1060,  1074,  1158,
    1206,  1234,     0,     0,    54,    53,  1248,    22,     0,  1235,
    1236,  1254,     0,  1253,     0,  1257,  1255,  1256,  1246,  1249,
    1259,     0,    22,  1267,    22,     0,  1356,     0,  1358,  1265,
    1351,  1350,  1363,   448,  1366,     0,  1364,     0,   252,   255,
       0,   188,   189,     0,   256,   257,   251,    28,    30,     0,
       0,   274,   322,     0,     0,   323,   128,   129,     0,     0,
       0,     0,     0,     0,     0,   213,     0,   287,     0,     0,
       0,     0,   200,   241,   242,     0,     0,     0,   266,     0,
     267,     0,     0,   299,   297,   295,   292,   293,   294,   296,
     298,   300,   301,   288,   289,   290,   291,   317,   311,   312,
     313,     0,   316,   310,   314,   315,   319,   320,   321,   475,
     476,   477,   479,   480,   478,     0,   473,   631,   623,   619,
     627,   629,   486,   487,     0,   484,   633,     0,   519,   527,
     529,   171,     0,   539,     0,   560,     0,   541,   540,   545,
     546,     0,   559,   561,   531,   538,     0,   583,   586,   587,
     588,   589,   585,   590,     0,    67,    67,    67,    67,    67,
      67,     0,   523,    67,   523,    67,  1017,    67,    67,  1264,
     608,     0,   615,   612,   621,   875,   171,     0,     0,   880,
    1338,     0,  1347,  1328,     0,   167,   171,     0,   142,   173,
     146,     0,     0,   448,     0,     0,   367,     0,  1324,  1320,
       0,   441,   444,     0,  1304,     0,  1303,  1306,     0,     0,
       0,    12,    13,    14,   387,   388,  1057,   395,   400,   451,
     454,   469,     0,     0,   418,   396,   396,     0,     0,     0,
     755,     0,     0,    22,    22,   789,   791,     0,     0,     0,
       0,     0,    22,     0,    22,   805,   804,   765,    52,    51,
     729,     0,   729,     0,     0,   732,   733,   752,   726,     0,
       0,   750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,   759,     0,     0,     0,   848,
     396,   897,     0,   900,   899,   898,     0,   906,   904,   892,
       0,  1047,  1048,  1051,  1050,   174,   175,   420,   176,   430,
     424,   409,    22,   410,   408,     0,   396,   396,   396,     0,
       0,  1241,    26,  1250,     0,    22,     0,    22,  1247,     0,
    1239,  1359,  1352,  1266,  1357,   456,  1372,  1367,   258,   250,
     258,     0,    30,   276,     0,     0,     0,   123,   125,   330,
       0,   303,     0,     0,     0,     0,   332,     0,     0,     0,
       0,     0,     0,   194,     0,     0,   230,   237,   245,     0,
       0,     0,     0,   472,     0,   483,   521,   537,   544,     0,
       0,   533,   534,   557,   558,     0,   554,   555,   556,   550,
     548,   549,   532,   547,   542,   683,     0,     0,     0,     0,
       0,     0,  1031,  1040,     0,     0,  1035,  1038,     0,  1033,
       0,    67,     0,    67,     0,     0,     0,  1309,   879,   878,
     877,   881,  1330,     8,   169,     0,   180,   181,     0,     0,
       0,   458,   368,   370,    10,   440,   442,   443,   445,   446,
    1299,  1302,     0,  1298,   374,   452,    67,   448,   467,   416,
       0,   652,   652,     0,   651,   645,     0,   693,     0,   692,
     686,   687,     0,     0,     0,   776,   775,   774,     0,     0,
     734,     0,    22,     0,     0,   797,   796,     0,   786,     0,
       0,    27,     0,   730,   731,     0,   727,   728,   803,   761,
       0,     0,   780,     0,   769,     0,   757,     0,   758,   772,
     792,   771,   770,   802,   773,   793,     0,   795,   768,   760,
       0,   766,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    22,     0,    22,   846,   822,     0,   171,     0,     0,
       0,     0,   873,   867,   863,     0,   901,   903,  1002,     0,
      22,   923,    22,   921,     0,     0,   913,    22,   909,     0,
     927,  1003,     0,   429,   412,  1061,     0,  1077,  1068,  1070,
       0,     0,  1076,  1064,  1065,     0,  1161,    22,     0,  1160,
    1152,  1153,     0,     0,  1217,  1217,     0,     0,  1217,  1205,
    1208,  1209,     0,  1212,  1237,  1238,  1240,     0,    60,    61,
    1242,  1245,  1244,  1243,     0,   338,   338,     0,     0,   335,
     336,   337,   334,     0,     0,     0,     0,     0,  1262,     0,
       0,   338,  1258,     0,  1260,     0,  1360,  1370,  1374,   253,
     254,     0,   275,     0,   324,     0,     0,     0,     0,     0,
       0,     0,     0,   269,     0,     0,     0,   200,     0,     0,
       0,     0,     0,     0,    34,    35,     0,   474,   485,     0,
       0,     0,   551,   552,     0,   723,   717,   719,   721,  1021,
    1019,  1036,  1039,  1034,  1037,     0,  1023,     0,  1027,  1200,
    1202,     0,     0,   184,   182,   183,     0,   148,     0,  1307,
     449,     0,   453,   455,   414,   448,   646,   670,   647,   674,
     648,   650,   448,   688,     0,   691,     0,   781,   783,     0,
       0,   738,     0,     0,     0,     0,     0,   736,   784,     0,
       0,     0,   798,   785,   787,   754,   753,   751,   779,   778,
     762,   777,   756,   794,   767,     0,    22,    22,    22,     0,
      22,     0,     0,   830,   831,   832,     0,   826,   844,   866,
     865,   864,   868,   869,     0,   872,   448,   926,     0,     0,
      22,   914,     0,     0,   912,     0,     0,   930,   925,   929,
       0,   919,   911,     0,   937,   425,   426,   427,   428,    50,
      49,  1110,  1119,  1067,   448,  1066,     0,     0,  1072,    22,
    1075,   448,  1157,  1154,  1156,  1159,  1219,  1218,     0,     0,
      25,  1221,  1220,  1210,  1224,  1225,  1213,     0,  1207,  1251,
       0,     0,   339,     0,     0,     0,     0,     0,     0,     0,
     361,   361,   352,     0,     0,     0,     0,  1353,     0,     0,
       0,    80,    91,    92,    78,     0,    81,    82,     0,     0,
      85,    86,    89,   130,    87,     0,   104,   104,     0,     0,
      90,   131,     0,   104,   104,   104,     0,     0,     0,   327,
     328,   326,   329,     0,     0,   209,     0,     0,   207,     0,
     203,     0,     0,   201,     0,     0,     0,   318,     0,     0,
     553,   579,   577,   578,   562,   565,   569,   572,   575,   576,
     563,   564,   566,   567,   568,   570,   571,   573,   574,   580,
     581,   543,  1025,  1029,     0,   177,   185,   172,     0,    57,
      58,    59,    55,    56,   450,   670,   668,   653,     0,     0,
     677,   712,    22,     0,     0,     0,   742,   740,   741,   744,
     743,   745,     0,   735,   800,   799,   801,    22,    22,     0,
     837,   838,   839,   840,   841,     0,     0,   833,   827,   828,
     829,   842,    22,    22,  1005,  1009,   916,   917,   915,   990,
     918,   990,   951,   931,   920,  1004,   938,  1117,  1116,  1107,
    1123,  1122,  1130,  1069,  1132,  1133,  1140,  1071,  1073,  1194,
       0,  1215,  1214,  1211,  1222,     0,  1216,    62,     0,   338,
     350,   351,     0,   344,     0,   246,     0,     0,     0,     0,
     349,     0,     0,     0,     0,     0,     0,     0,  1373,     0,
      31,   325,    79,    83,    84,    88,    74,    72,    70,    69,
      71,    73,    68,    75,    97,     0,   114,    99,    95,   105,
     115,     0,     0,   116,   113,   124,   119,   120,   121,   122,
     117,   126,     0,   270,   271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   243,   535,   536,   168,
     170,   150,   653,     0,   673,   675,   676,     0,   679,   710,
     694,   689,   782,   739,   746,   737,   820,   821,   819,   825,
     824,   823,    22,     0,   836,   870,  1003,  1007,  1011,     0,
       0,     0,   940,     0,  1121,  1105,  1104,  1128,  1138,  1192,
    1162,  1155,  1226,   343,   340,     0,   181,   341,   186,     0,
     347,   361,   362,   363,   364,   361,   365,   346,   345,     0,
       0,     0,   354,     0,  1369,  1371,     0,    93,    77,    76,
       0,     0,    76,   104,   104,     0,   106,   107,   108,   109,
     110,   104,   104,     0,   331,   224,   208,   206,     0,     0,
     204,   222,   202,     0,     0,   220,     0,   218,   217,     0,
     215,   672,     0,    22,     0,     0,     0,     0,     0,     0,
     671,   661,   489,   493,     0,   678,    22,   681,   695,   714,
     834,   835,  1006,     0,   924,   993,   991,   994,   922,    22,
       0,    22,   928,     0,     0,     0,     0,     0,     0,     0,
     936,   950,     0,     0,     0,    22,    22,    22,  1120,     0,
       0,  1109,  1124,  1134,     0,  1196,     0,   348,     0,     0,
     181,   196,   199,     0,   353,   198,   234,   231,   232,   233,
     238,     0,     0,     0,     0,     0,     0,     0,    98,    96,
       0,   100,     0,     0,     0,     0,     0,   118,     0,     0,
       0,     0,     0,     0,     0,   494,   659,   490,     0,     0,
       0,   654,   658,   662,     0,   663,     0,   660,   495,   669,
     680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   713,     0,     0,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,     0,  1010,   989,     0,   995,     0,
       0,   934,   935,   933,   932,   944,   947,   948,   949,   941,
     942,     0,     0,   945,   939,     0,     0,  1111,  1112,  1113,
    1118,     0,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,  1095,  1097,  1108,     0,     0,     0,  1127,
       0,     0,     0,  1137,     0,     0,    22,    22,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1195,  1187,     0,     0,     0,     0,  1231,
       0,   187,   342,   248,   200,     0,     0,   181,     0,     0,
       0,     0,     0,     0,    94,     0,     0,   101,   112,   111,
     223,   205,   221,     0,   219,     0,   216,     0,     0,     0,
       0,     0,   664,   665,     0,     0,     0,     0,     0,     0,
       0,     0,   696,     0,   699,   700,   698,     0,     0,     0,
       0,     0,   705,   697,     0,     0,    22,   711,   959,   960,
     961,   962,   963,   964,   965,   966,   956,   997,   988,     0,
       0,     0,   983,   977,   978,   979,   953,   970,    22,     0,
      22,    22,   972,   952,   955,     0,     0,   957,    22,   954,
       0,    22,  1008,   996,   992,   943,   946,  1144,  1144,     0,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1082,    22,     0,     0,     0,    22,     0,    22,     0,
    1106,     0,  1142,  1126,  1125,  1131,  1129,  1136,  1135,  1141,
    1139,  1168,  1166,  1185,     0,     0,     0,  1180,  1188,  1191,
    1190,  1189,  1186,  1163,     0,    22,    22,  1167,    22,     0,
    1164,  1165,     0,     0,    22,  1169,    22,    22,  1193,     0,
       0,  1230,  1223,  1227,   197,     0,   235,   239,   247,   359,
       0,   356,   357,   355,   358,     0,     0,     0,     0,   488,
     490,   655,   656,   657,   666,   667,    63,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   492,     0,     0,
     703,   704,   460,   459,   706,   701,   702,   707,     0,   981,
     980,   982,   985,   984,   973,    22,     0,   986,   971,   969,
     958,   968,   974,   967,    22,  1114,  1115,     0,  1101,  1102,
    1103,  1090,  1144,  1091,     0,  1144,     0,  1080,     0,  1084,
      22,  1083,  1085,  1086,     0,  1099,  1096,  1100,  1098,  1143,
    1178,  1179,  1181,  1174,  1184,  1173,     0,  1182,  1177,  1175,
    1176,  1170,  1171,  1172,     0,     0,     0,     0,   103,   102,
     210,     0,   491,   495,     0,     0,   495,   495,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   495,     0,
       0,   708,   709,   976,   999,   998,   975,   987,  1145,  1092,
    1088,  1093,  1089,  1079,  1078,  1081,  1087,  1183,  1229,  1228,
     360,     0,   500,   495,   495,   502,   501,   503,   495,   495,
    1000,     0,     0,   498,   499,   496,   497,  1001,     0,   225
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2008, -2008, -2008, -2008, -2008,  -328,  -350,   -63,    92,  -410,
    -693, -2008,  -157,  -155,  1697,  1698,  1699, -2008, -2008, -2008,
    -232, -2008, -2008,   -68, -1245,  -740,  2095, -2008, -2008,  1254,
   -1159,  -352,  -212,   744,  -528, -2008,  1255,  1256,  1259, -2008,
    1260,  1026,   759,   765,   -53,  -404,  -348,  1043, -2008, -2008,
   -2008, -2008,  2183, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  -879, -2008,
   -2008, -2008,  2062,  -755,  -502,  1703, -2008, -2008, -1435,  1220,
   -2008,   686,  -235,  1834,   522, -1081, -1814,  2484, -1713, -1696,
    1816,   533,  2212, -2008,  1837, -2008, -2008, -2008, -2008,  -466,
   -2008, -2008, -2008, -1127,  -143, -1139,    -7, -2008, -1267, -1140,
   -1563, -2008, -2008,  -435, -2008,   329, -2008, -2008, -2008,   -58,
     -97, -2008,  -355, -2008,  2286,  1944,  -102,  -534,  -459, -2008,
     233, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1467,  -692,
    -152, -2008, -2008, -1515, -2008, -2008, -2008, -2008, -2008,   476,
   -2008,  1541,   521, -2008,  1549, -1415,   367, -2007, -2008, -1027,
   -2008, -2008, -2008, -2008, -2008,  -274, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,    31, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1150,  2150,
   -1134, -2008, -2008, -2008, -2008,  1469,   866, -2008, -2008, -2008,
    1014, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,  1667,   549, -2008, -2008,  1002, -2008, -2008,
   -2008,  1008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008,   978, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008,   862, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   466, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,   620,   604, -2008, -2008, -2008, -2008,
     456,   605, -2008, -2008, -2008, -2008,   459,   609, -1836, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008,  -331,  1158, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,  1933, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008,  1746,  1784, -2008, -2008, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008,  1431,  2139, -2008, -2008,
   -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008, -2008
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   107,   108,   679,   692,   375,  1898,  1791,
    1082,   522,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,  1601,  2005,   836,  1734,  1419,  1420,
    2387,   346,   590,  1845,  1954,  1664,  1665,  1666,  1667,  1675,
    1668,  1846,  1847,  1848,  1850,  1851,  1960,  1853,  1669,  1677,
    1455,  1456,   886,  1177,  1178,   256,   257,   258,    22,    23,
      24,    25,   109,   658,   110,   111,   112,   113,   335,  1255,
    1016,  1017,  1136,  1137,   818,  1019,   114,   657,  1502,  1503,
    1504,  1927,   259,   559,  2046,   900,   560,   901,   561,   562,
     563,  2050,   564,  2051,   565,   566,  1929,   518,   260,   519,
     261,   262,   880,   263,   264,   265,  1467,  1441,  1633,  1505,
    1817,  1935,   115,   668,   116,   386,  1045,   118,   119,   376,
     387,   388,   480,  1053,   713,  1054,   389,   823,   819,  1383,
    1141,   120,   351,   352,   121,  1049,  1512,  1276,  1050,  1165,
    1166,  1023,  1024,  2252,   122,   123,   124,   705,   390,   588,
     945,   946,   598,   954,   955,  1991,  2227,  1992,  1993,  2241,
    2394,    26,    27,    28,    29,   621,    30,    31,    32,   607,
    1222,  1223,   976,  1721,    33,   609,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,   303,   646,    45,
      46,    47,    48,    49,    50,    51,    52,    53,   271,   603,
     267,   125,  1286,  1055,   126,  1515,  1884,  1994,  2087,  1883,
    1737,  1516,  1518,  1740,  1888,  1997,  1520,    54,   127,  1292,
    1056,   128,  1522,  1999,  2102,  1998,  1890,  1523,    55,    56,
      57,    58,   129,   753,   751,  1301,  1536,  1537,   130,   438,
     439,  1899,  1356,  1118,   781,  1119,   440,   131,  1365,  1120,
     132,    59,   648,   372,   133,   134,   796,   456,   457,   458,
     459,   460,  1130,  1379,  1585,  1582,  1588,  1589,  1911,  2013,
    1380,  1912,  2022,  1381,  2127,  1909,  2006,  2007,  2130,  2408,
    2521,  2495,  1576,  1594,  1775,  1906,  2003,  1908,  1577,    60,
      61,    62,    63,    64,    65,    66,    67,   991,   135,   136,
     470,   137,   697,   138,   139,  1395,  1606,  1607,  1146,   140,
    1604,  2166,  2317,  2319,  2431,  2031,  2030,  1916,  1605,  1602,
    2029,  1914,  1913,  1788,  1603,  1792,  1917,  2170,  2325,  2032,
    1793,  1796,  1918,  2174,  2329,  2033,  1797,  2323,  2425,   373,
     141,  1402,  1147,   142,  1611,  2035,  2195,  2342,  2034,  1920,
    1612,    68,    69,   143,   144,  1148,  1412,  1618,  1413,  1623,
    1626,  1804,  1805,  2036,  2200,  2362,   145,   146,   848,   849,
     491,   492,  1444,  1159,   851,    70,   147,   503,   353,   148,
    1034,  1036,   689,  1039,   643,   644,   149,   150,    71,    72,
      73,    74,    75,    76,    77,    78,   312,   655,   151,  1446,
     504,   152,   153,   511,   863,  1829,  1648,  1448,   864
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     266,   688,   888,   750,   752,   526,   693,   527,   558,  1080,
     787,   557,   673,  1051,   520,   821,   624,  1190,   316,  1442,
    1440,  1692,   317,   318,  1631,  1443,  1687,   691,   691,   707,
     708,  1969,  1439,   437,   469,   524,   525,   455,  1078,   468,
    1624,   479,  1794,  2301,   490,   502,   868,  1976,   869,   489,
     501,   874,   875,  2040,   735,  1979,   510,     1,    80,  1088,
    1037,   591,  2041,  2042,   871,   872,   867,   391,  1738,   392,
    2228,   393,  1154,   441,   512,   442,    79,   461,  1818,   513,
     319,   481,  1067,   482,   745,   483,   555,   484,   556,   154,
     514,    81,   647,   505,   506,  1948,  1952,   524,   525,  2009,
    1078,    82,   670,    83,    84,   975,   777,   671,  1466,  1468,
    1470,  1471,   339,   746,   747,  2047,   748,   670,  1440,   604,
     790,  1089,   671,  1443,   726,  1948,  1952,   340,  2345,    85,
    1439,   570,   571,   572,   573,   574,   746,   747,  1258,   748,
    2041,  2042,   871,   872,   811,  1608,  1009,   575,   576,   577,
     578,   579,   580,   581,   582,   583,  1063,   155,   584,  1634,
     532,   570,   571,   572,   573,   574,   853,   549,   550,   160,
     551,   552,   553,   728,  1644,   903,   904,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   670,   730,   584,   732,
      86,   671,    87,    88,   343,    89,   344,    90,   300,    91,
    1068,    92,    93,   525,    94,  1599,  1207,   570,   571,   572,
     573,   574,  2041,  2042,   871,   872,  2048,    95,    96,    97,
      98,    99,   100,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   670,  2049,   584,   548,  2010,   671,   570,   571,
     572,   573,   574,   549,   550,   871,   872,   552,   553,   585,
    1746,  1248,   355,  2011,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   523,   101,   584,  1089,  1048,   512,   663,
     102,   664,   660,   513,   665,  1155,   103,   104,  1481,  1083,
     663,   558,   664,   670,   514,   665,   746,   747,   671,   748,
     670,  1145,   683,  1739,   694,   671,   570,   571,   572,   573,
     574,   666,  1563,  1090,  1150,   674,   675,   676,   677,   356,
     301,  1059,   575,   576,   577,   578,   579,   580,   581,   582,
     583,  2346,   670,   584,   530,   156,  1012,   671,  1028,   670,
     670,  1261,   117,   278,   671,   671,   984,   985,   986,   987,
     988,   595,   989,   990,  2303,   993,   995,   802,   997,   998,
     691,   674,   675,   676,   677,  1030,   605,   472,   670,   670,
    1035,   586,  1040,   671,   671,  1440,  2142,  2302,  2052,   520,
    1443,   520,  2053,  2228,   520,   520,  1501,  1439,  2388,   615,
     674,   675,   676,   677,   570,   571,   572,   573,   574,   343,
     670,   344,  2047,   473,   474,   671,  1061,  1062,   475,  2012,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   476,
    2395,   584,   674,   675,   676,   677,   727,   835,  2338,   570,
     571,   572,   573,   574,   776,  1064,  1117,  1093,   531,  1156,
    1096,  1860,  1152,   680,  1153,   575,   576,   577,   578,   579,
     580,   581,   582,   583,  1827,   670,   584,  2136,  1090,  1038,
     671,  2339,   615,   596,   341,  1133,  1134,  1625,   343,  1416,
     344,  1084,  2426,   454,  1127,   729,   670,   279,  1139,  1157,
     703,   671,   615,  1250,  1564,  1747,   756,   691,   691,   731,
     803,   733,   670,   757,   678,  1211,   684,   671,  1140,  1765,
     670,  2038,  1140,  2048,   883,   671,  1140,  2021,   305,   736,
     306,  1812,  2286,   743,   674,   675,   676,   677,   870,   992,
    2049,  2389,   674,   675,   676,   677,   765,  1079,  2196,  2197,
     268,   881,   269,  1116,   774,  2198,   343,  1163,   344,  1164,
     889,   890,   891,   892,   893,   894,   528,  1167,   788,   835,
    2350,   791,  1924,  2396,   794,  1828,   983,   902,  1191,  2248,
    2249,  1693,  1694,  2137,   801,   343,  1688,   344,  2004,  1795,
    1757,  1970,   313,   913,   914,   915,   916,   917,   918,   919,
     920,   921,   922,   923,   924,   925,   926,  1977,   336,  1085,
    1086,   105,   994,  2043,  2351,  1980,  2199,  2044,  2126,   856,
     106,   858,   555,  2272,   556,   515,  2500,  2307,   884,  2502,
     719,   516,  1569,   517,   616,  2203,  1866,  1766,  1868,   314,
     315,  1870,  1091,  1873,  1875,  1212,   749,  2299,  1363,  2194,
    2008,   345,  1953,   672,   570,   571,   572,   573,   574,   549,
     550,   871,   872,   552,   553,  1587,  2493,   744,   672,  1046,
     575,   576,   577,   578,   579,   580,   581,   582,   583,  1014,
     270,   584,  1961,  2340,   337,  1069,  1251,  2321,  1790,  2304,
    1025,  2365,  1815,   706,  2337,  1027,  1327,   720,  2305,  1259,
    1758,   558,   558,  2273,  1928,  1440,   526,   557,   527,  1934,
    1443,  1270,  2138,  1271,  1936,   905,  1759,  1439,   554,  1083,
     897,   898,   570,   571,   572,   573,   574,   617,  1280,   302,
     670,  2250,  1449,   338,  1450,   671,  1070,   672,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   307,  1241,   584,
    1243,   670,   674,   675,   676,   677,   671,  1760,  1761,  1293,
    1294,  2341,  2167,  2043,  2308,   622,  1463,  1464,  2168,   342,
    2354,  1304,  1083,   674,   675,   676,   677,   524,   525,  1590,
     587,   308,   555,   672,   556,  1313,  1314,  1547,  2171,  2251,
     354,  1316,  1317,  1355,   554,  2172,  1320,  1321,  1182,  1323,
    1087,  1325,  2368,  1226,  1227,  1228,  1229,  1230,  1231,  2274,
    1279,  1242,  1336,  1244,   357,  1245,  1246,  1440,  1340,   515,
     667,   600,  1443,   601,  1366,   516,   623,   517,  1367,  1439,
    1492,   667,  1052,  1493,   672,  1494,  1138,  1299,  1896,  1897,
    1335,   672,   471,   952,  1217,   669,  1218,   570,   571,   572,
     573,   574,   314,   315,  1571,   268,  1183,   269,  1422,   521,
    1071,  2169,  1073,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   597,   672,   584,  2083,  1092,   528,  2409,  2410,
     672,   672,  1098,   618,  1100,   704,  1102,  2173,  1104,  1105,
    1106,  1107,  1108,  1109,   953,  1111,   681,  1113,  1114,   619,
     620,  1084,  2206,  1519,   523,  2207,  2084,  1121,  1124,   672,
     672,  1125,   533,   686,  1774,  1128,   821,   529,  2069,  1187,
     687,  1188,   772,  2071,   659,  2072,  2270,  2249,  2074,  1928,
    1440,  1440,   841,   534,   709,  1443,  1443,   742,  2275,  2335,
    2249,   672,  1439,  1439,  1184,   570,   571,   572,   573,   574,
     907,   602,   695,   696,  1084,   908,   773,   805,  1854,  1149,
     634,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     746,   747,   584,   748,  1161,   670,  1162,  1529,   611,  1185,
     671,  2085,  2086,   806,  1291,   270,   812,   813,  1285,  1290,
     535,   570,   571,   572,   573,   574,   672,   674,   675,   676,
     677,   814,   612,   724,   725,  1541,   815,   575,   576,   577,
     578,   579,   580,   581,   582,   583,  1122,   672,   584,  1085,
    1086,   816,  1836,  1837,  1838,  1645,  1621,   817,   635,   670,
     309,   310,   311,   672,   671,   536,  1646,  1572,  1839,  1840,
    1841,   672,   274,   275,   746,   747,   670,   748,  1311,  1151,
    2235,   671,   537,  1364,  2128,   520,   538,   520,  1771,  1495,
    2129,  1497,  1573,   613,  1768,   739,   567,  1123,   674,   675,
     676,   677,  1085,  1086,  1394,  1401,  1411,   347,  2250,  1393,
    1400,  1410,  2236,  1143,  1622,   582,   583,  1144,   526,   584,
     527,  2250,  1769,  1770,  1511,   614,   539,   670,  1440,  1530,
    1614,   670,   671,  1443,  1619,  1616,   671,  1627,   540,  2391,
    1439,   570,   571,   572,   573,   574,   541,  1842,  1843,   674,
     675,   676,   677,   674,   675,   676,   677,   575,   576,   577,
     578,   579,   580,   581,   582,   583,  2271,   842,   584,   542,
     570,   571,   572,   573,   574,   807,   808,  1647,  2237,  2336,
     348,   349,   350,   740,  1173,  1174,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   909,   843,   584,   762,   763,
     910,   907,  2377,  1079,  2378,   844,  1170,   670,   741,   568,
    1195,  1782,   671,  2238,  1462,  1298,  1300,   589,  2239,   272,
     273,   276,   277,   594,  1307,  1005,  1309,  1452,   304,   674,
     675,   676,   677,  1457,  2240,  1458,  1459,  1460,  1461,   599,
    1545,   314,   315,   570,   571,   572,   573,   574,  1473,   606,
     524,   525,   291,  1078,  1476,  1506,  1578,  1579,  1743,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   374,   608,
     584,  1531,   600,  1532,   601,  1533,  1534,   292,   555,  1535,
     556,   672,  1678,  1580,  2478,  2479,  2480,  2481,  2482,  2474,
    2475,  1600,   610,  1546,  1384,  1600,  2489,  2490,   293,   615,
     294,   295,   672,   625,   939,   940,   941,  1421,   626,  1423,
    1776,  1777,  1031,  1032,  2416,  1780,   570,   571,   572,   573,
     574,  1539,  1784,  1852,   627,  1785,   942,   943,   628,   944,
    1852,   629,   575,   576,   577,   578,   579,   580,   581,   582,
     583,  2023,  2024,   584,   630,  2025,  2026,  2027,  1179,  1180,
    1801,  1802,   570,   571,   572,   573,   574,  1006,   813,  1806,
     296,   297,   298,   299,   845,   846,   847,   631,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   632,  1950,   584,
    1007,   636,  1822,  1823,   633,  1962,  1824,  1651,  1950,   306,
    1962,  1825,  1826,  1652,  1653,  1654,  1655,  1844,  1656,  1657,
    1658,   645,  1008,  1659,  1844,  1660,  1661,  1809,  1001,  1901,
    1002,  1662,  1670,  1202,  1732,  1203,  1733,   570,   571,   572,
     573,   574,   649,  1735,   637,   638,   639,   640,   641,   642,
    1741,   812,   813,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   652,  2028,   584,  2456,   814,  1886,   653,  1651,
    2511,   815,  1266,  1267,  1540,  1652,  1653,  1654,  1655,   654,
    1656,  1657,  1658,  1268,  1269,  1659,   820,  1660,  1661,  1213,
    1214,  1215,  1216,  1662,  1836,  1837,  1838,  1944,  1632,  1632,
    1204,  1636,  1205,   656,   592,   593,  1637,  1638,   661,  1583,
    1839,  1840,  1841,  2091,  1632,   822,  1079,  1249,  1724,  1482,
    1483,  2528,  2092,  1565,  1169,  1567,  2512,  2093,   662,  2515,
    2516,   682,  1789,   812,   813,  1683,  1001,  1684,  1509,  1799,
     690,  2517,  1581,   822,  1584,  1570,   672,   685,   814,  1591,
    1685,  1686,  1921,   815,  1690,  1691,  1557,  1995,  1232,   698,
     570,   571,   572,   573,   574,   699,  2523,  2524,   816,  1613,
    1181,  2525,  2526,   700,   817,  1233,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   -66,   -66,   584,   -66,  1842,
    1843,   555,   525,   556,  1599,  1729,  1730,  1947,  1731,   701,
     672,  1600,   702,  1955,   570,   571,   572,   573,   574,   746,
     747,   710,  1620,  1234,   344,   711,  1752,   672,  1753,   714,
     575,   576,   577,   578,   579,   580,   581,   582,   583,  2062,
    2063,   584,  2483,  2484,  2485,  2486,  2487,  2065,  2066,  2094,
     570,   571,   572,   573,   574,  2258,  2259,  2260,  2261,  2262,
    2263,  2264,  2265,  1750,  1751,  2001,   575,   576,   577,   578,
     579,   580,   581,   582,   583,  1368,   712,   584,   672,  1879,
    1369,  1880,   672,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   715,   329,   330,   331,   332,   333,   334,   716,
    1186,  1595,  1596,  1597,  1598,   717,   977,   718,  2058,  1235,
    1857,  1844,  1859,  1844,  1808,  1956,  1957,  1958,  1959,  1310,
    2075,  1312,  1816,   314,   315,   721,  1819,  2081,  1821,  1193,
     722,  2095,  2096,  1041,  1042,  1043,   812,   813,  1762,  1763,
    1764,   723,  1767,  1833,  1834,  2097,  2098,  2099,   734,   691,
    2082,   814,  2100,  2428,  2429,  2430,   815,   737,   672,  1558,
     738,  1862,  1778,  1370,   754,  1885,   755,  1079,  1079,  1948,
    1949,   820,  2132,  1967,  1968,   758,  2135,   978,  2139,  2140,
     759,  2143,  1972,  1973,  2045,   760,  2078,  2079,  2244,  2245,
     764,  1798,  2232,  2233,   570,   571,   572,   573,   574,  2384,
    2385,   767,  1263,  2392,  2393,  2398,  2399,  2218,  2219,   768,
     575,   576,   577,   578,   579,   580,   581,   582,   583,  1877,
    1878,   584,  2214,   769,  2215,  2216,  2217,   761,   377,   650,
     651,   771,   378,   379,   770,   766,  1281,   775,   979,  1236,
     381,   778,   555,   555,   556,   556,   779,   780,   782,   980,
     981,  1237,   785,  2242,   783,   784,  2246,   786,   472,  2253,
     789,   982,   792,   795,  2347,   798,  2266,   793,  1371,   804,
     799,   800,  2276,  2277,   809,  1264,   810,   822,   824,  2283,
    2284,   825,  2287,   826,  2289,   377,   837,   827,   382,   378,
     379,  2293,  1632,   383,   473,   474,   828,   381,  1372,   475,
    1931,   829,   830,  2295,  2296,   831,   838,  2297,  2298,   850,
     476,  1679,   839,  1671,   840,   854,  1373,   852,  1374,   855,
     857,   859,  1375,   860,  1891,   865,   861,  1376,  1377,  2322,
     862,   866,   876,  2322,   877,   878,  2361,  2331,  1238,   879,
    1282,  1283,   882,  2343,   885,   382,   584,   895,   896,   906,
     383,   911,  2355,   912,  1904,  1905,  1015,   947,   948,   949,
     950,   570,   571,   572,   573,   574,  1020,   951,   956,  2381,
    2382,  2383,  1239,  1240,   958,  1663,  1680,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   959,   996,   584,   999,
    1000,   691,   691,   691,  2405,  2406,  1003,  1004,  1010,  2390,
    1013,  1021,  1022,  1026,  1033,   524,   832,   833,   834,  2400,
    2401,  2402,  2403,  2404,  1044,  1029,   691,   691,  1047,  2101,
    1057,  1072,  2054,  2055,  2056,  1058,  2057,  1060,  1074,  1065,
    1094,  2411,  2412,  2413,   168,  1066,   170,   171,  1075,  1076,
    1081,  1077,  1095,  1097,  1099,  1101,  1103,  2419,  2420,  1110,
    1112,  1115,  2422,  1126,  1131,  1132,  1135,  1142,   842,  1168,
    2045,  2045,  1160,  1378,  2432,  1171,  1172,  2435,  1175,  2437,
    1189,  2439,  1176,  1192,  1194,  2442,  2443,  1199,  2491,  2492,
    1206,  1200,  1201,  2449,  2000,  1208,  1600,  1209,  2494,  1210,
    1224,  1225,  1252,  1254,  1260,   477,  2450,  2451,  2452,  1681,
     570,   571,   572,   573,   574,  1262,  2453,  1265,  1273,  1274,
    1275,  2458,  1278,  1277,  2459,  2460,   575,   576,   577,   578,
     579,   580,   581,   582,   583,  1295,  2204,   584,   570,   571,
     572,   573,   574,  1296,  1297,  1302,  1303,  2468,  2469,  1257,
    1305,  1982,  1983,  1682,   575,   576,   577,   578,   579,   580,
     581,   582,   583,  1306,  1308,   584,  1318,  1319,  1322,  1324,
    1326,  1328,  1329,  1330,  1331,  2076,  1984,  1332,  1333,  1334,
    1337,  1338,  1339,  1341,  1382,  1417,   927,  1418,  2090,  1697,
    1445,  1385,  1414,   928,  1415,  1451,  1453,  1447,  1454,  2499,
    1472,  2131,  1474,  2133,  1475,  1479,  2501,  1485,  2503,  1484,
    2504,  1480,  2508,  2509,  1486,  1487,  2506,  2147,  2148,  2149,
     929,  1488,   930,  1985,  1986,  1491,  1489,  1987,  1988,  1490,
    1496,  1498,  1499,  1989,  1284,   157,  1500,   158,   159,   160,
     161,   162,   163,  1507,   164,  1508,   931,  1510,  1524,  1514,
    1526,   165,   166,   899,   932,   933,   167,   934,   935,   570,
     571,   572,   573,   574,  1555,   936,   937,   938,   168,   169,
     170,   171,  1521,  1525,   172,   575,   576,   577,   578,   579,
     580,   581,   582,   583,  1527,  1556,   584,  1528,  1559,  1538,
    1560,   478,  1542,   570,   571,   572,   573,   574,  2268,  1543,
    1544,  1548,  2370,  1561,  1549,  1550,  1562,  1566,  2282,   575,
     576,   577,   578,   579,   580,   581,   582,   583,  1574,  1551,
     584,  1552,  1553,  1554,  1568,   173,   174,   543,   544,   545,
     546,   175,   176,  1863,   177,   178,   179,   180,   181,   182,
     183,  1575,  1586,  1592,  1593,  1610,   184,   185,   186,  1615,
    2311,   187,  1609,  1628,  1617,  1630,  1635,   188,   570,   571,
     572,   573,   574,  1639,  1642,   189,  1640,  1641,  2332,  2333,
    1643,  1650,  1649,  1689,   575,   576,   577,   578,   579,   580,
     581,   582,   583,  1695,  1696,   584,   570,   571,   572,   573,
     574,  1698,  1699,  1700,  1722,  1723,  1725,  1727,  1728,  1736,
    1742,  1744,   575,   576,   577,   578,   579,   580,   581,   582,
     583,  1749,  1982,   584,  1745,  1748,  1754,  1755,  1756,  1772,
    1773,  1403,   570,   571,   572,   573,   574,  1779,  1781,  1800,
    1783,  1786,  1807,  1787,  1810,   190,  1811,  1984,   575,   576,
     577,   578,   579,   580,   581,   582,   583,  1820,  2407,   584,
    1830,  1831,  1832,  1849,  1835,  1855,  1865,  2014,  2466,  1869,
    1861,  1871,  1876,  1881,  1887,  1357,   813,  1894,  1892,  1893,
    2414,  1889,  2417,  2418,   377,  1902,  1903,  1907,   378,   379,
    2421,  1946,  1915,  2423,  1919,  1951,   381,  1939,  1358,  1922,
    1925,  1965,  1940,  1941,  2015,  1942,  1966,  1943,   191,  1963,
    1864,  2016,  1996,  1945,  2441,  2039,  1971,  1975,  2445,  1978,
    2447,  2064,  1974,  1990,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,  2067,  2068,  2037,  2070,  2073,  2080,
       4,     5,     6,  2141,   382,  2089,  2134,  2454,  2455,   383,
    2457,   202,   203,  2205,  2144,  2077,  2461,  2145,  2462,  2463,
     157,  2088,   158,   159,   160,   161,   162,   163,  2146,   164,
    2150,  2201,  2209,  2208,  2220,  2225,   165,   166,  2221,  2222,
     377,   167,  2223,  2224,   378,   379,  2226,  1982,   507,  2229,
    2230,  2231,   381,   168,   169,   170,   171,  2234,  2243,   172,
    2247,   204,   205,   206,   207,  2256,     7,  2254,  2255,  2257,
    2269,   570,   571,   572,   573,   574,  2267,  2496,     8,  2278,
    2279,  2285,  2280,  2017,  2018,  2019,  2498,   575,   576,   577,
     578,   579,   580,   581,   582,   583,  2281,  2288,   584,  2291,
     382,  2292,  2505,     9,    10,   383,  2294,  2312,  2290,  1964,
     173,   174,   543,   544,   545,   546,   175,   176,  2309,   177,
     178,   179,   180,   181,   182,   183,  2306,  2314,  2310,  2313,
    2315,   184,   185,   186,  2316,    11,   187,  2210,    12,  2318,
      13,  2320,   188,  2326,  1794,  2330,  2344,   208,   209,  2334,
     189,    14,  2349,  2352,  2348,  2357,  2353,    82,  2358,    83,
      84,   210,   211,  1359,  1360,  1361,  2363,    15,  2369,  2371,
    2356,    16,  2372,  2375,  2373,  2374,    17,    18,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,  2359,  2360,  2376,  2379,
    2386,  2397,  2380,  2424,  2427,  2415,  2434,  2436,  2440,  2438,
     190,  2444,  2471,  2464,  2465,   240,   241,  2470,   242,   570,
     571,   572,   573,   574,   243,  2520,  2497,  2507,  1219,  1220,
    1221,  1629,  2473,  2476,  2020,   575,   576,   577,   578,   579,
     580,   581,   582,   583,  2477,   377,   584,  2488,  2211,   378,
     379,  2510,  2513,   380,  2060,  2514,  2522,   381,  1856,  2518,
    2519,  2527,   974,    95,    96,    97,    98,    99,   100,  2529,
    2061,  1672,  1673,   191,  2059,  1674,  1676,  1858,   887,  1256,
    1018,    19,  2212,  1197,  1726,  2202,   547,  2366,   873,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,  2367,
    1196,  1129,   797,  1477,  1513,   382,  1198,  2472,  1981,  1882,
     383,  1517,   957,  1478,  1895,  1315,   202,   203,   157,  1910,
     158,   159,   160,   161,   162,   163,  1900,   164,  2002,  2433,
    1362,  2300,  2324,  2446,   165,   166,  1465,  2328,  2448,   167,
    2327,  1803,  1158,     0,  1272,  1247,     0,  2213,     0,     0,
    1011,   168,   169,   170,   171,     0,     0,   172,     0,     0,
     570,   571,   572,   573,   574,     0,   204,   205,   206,   207,
       0,     0,     0,     0,   384,  2364,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,     0,   584,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,   333,   334,     0,     0,     0,   173,   174,
       0,  2467,     0,     0,   175,   176,   508,   177,   178,   179,
     180,   181,   182,   183,     0,     0,   509,     0,     0,   184,
     185,   186,     0,     0,   187,     0,     0,     0,     0,     0,
     188,     0,     0,     0,     0,     0,    20,    21,   189,     0,
       0,     0,   208,   209,   570,   571,   572,   573,   574,     0,
       0,     0,     0,     0,     0,     0,   210,   211,     0,     0,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
       0,   584,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   190,     0,
       0,     0,     0,     0,   570,   571,   572,   573,   574,     0,
     240,   241,     0,   242,     0,     0,     0,     0,     0,   243,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
       0,   584,   570,   571,   572,   573,   574,   280,   281,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,     0,   584,
       0,   191,     0,     0,     0,  1403,   282,    82,  1253,    83,
      84,     0,     0,   283,     0,     0,     0,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,     0,     0,     0,
       0,     0,     0,   284,     0,   285,     0,     0,     0,     0,
       0,     0,     0,   286,   202,   203,   157,     0,   158,   159,
     160,   161,   162,   163,     0,   164,     0,     0,   287,     0,
       0,   385,   165,   166,  1469,     0,     0,   167,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   168,
     169,   170,   171,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   204,   205,   206,   207,     0,     0,
       0,     0,     0,     0,     0,   377,     0,     0,     0,   378,
     379,     0,     0,     0,     0,     0,     0,   381,     0,     0,
       0,     0,     0,    95,    96,    97,    98,    99,   100,     0,
       0,     0,     0,     0,     0,     0,   173,   174,     0,     0,
       0,     0,   175,   176,     0,   177,   178,   179,   180,   181,
     182,   183,     0,     0,     0,     0,     0,   184,   185,   186,
     288,     0,   187,     0,     0,   382,  1813,     0,   188,     0,
     383,     0,     0,     0,     0,     0,   189,     0,     0,     0,
     208,   209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2175,     0,     0,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,     0,
       0,     0,     0,  1404,     0,     0,   190,     0,     0,     0,
       0,   289,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,     0,     0,     0,     0,     0,   243,     0,     0,
     570,   571,   572,   573,   574,   290,     0,  1405,     0,     0,
       0,     0,     0,     0,     0,     0,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,     0,   584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,   191,
       0,     0,  1342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,     0,     0,     0,     0,     0,
    1982,  2176,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   202,   203,   157,     0,   158,   159,   160,   161,
     162,   163,  1814,   164,     0,  1984,     0,     0,     0,     0,
     165,   166,  1867,     0,     0,   167,   472,     0,     0,     0,
       0,     0,     0,     0,  1343,     0,     0,   168,   169,   170,
     171,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,  1930,   204,   205,   206,   207,     0,     0,     0,     0,
       0,  2177,  1344,  1345,  2178,  2179,     0,   475,     0,     0,
       0,     0,  2180,     0,     0,     0,     0,  2181,   476,     0,
    2182,     0,     0,  1406,     0,  2183,     0,     0,     0,  1407,
       0,  1408,     0,     0,   173,   174,     0,     0,     0,     0,
     175,   176,     0,   177,   178,   179,   180,   181,   182,   183,
       0,     0,     0,     0,  2184,   184,   185,   186,     0,     0,
     187,  1937,     0,     0,     0,     0,   188,  1346,     0,     0,
       0,  1347,     0,     0,   189,     0,     0,  2185,   208,   209,
      82,     0,    83,    84,     0,     0,     0,     0,     0,  1938,
       0,  1409,   210,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2186,     0,   240,   241,     0,   242,
       0,  1348,     0,     0,     0,   243,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,  2187,     0,  1351,   377,     0,
       0,  1352,   378,   379,     0,     0,     0,     0,     0,     0,
     381,     0,  1353,     0,     0,     0,    95,    96,    97,    98,
      99,   100,     0,     0,     0,     0,     0,   191,     0,     0,
     462,     0,  2188,  2189,  2190,  2191,     0,  2192,    82,     0,
      83,    84,     0,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,     0,     0,     0,     0,     0,   382,     0,
       0,     0,     0,   383,     0,     0,     0,     0,     0,     0,
     202,   203,   157,     0,   158,   159,   160,   161,   162,   163,
       0,   164,     0,     0,     0,     0,     0,     0,   165,   166,
    1872,     0,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   168,   169,   170,   171,     0,
       0,   172,  2193,  1701,     0,  1702,  1703,     0,     0,     0,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   377,     0,     0,     0,
     378,   379,     0,     0,     0,     0,     0,     0,   381,     0,
       0,     0,     0,     0,    95,    96,    97,    98,    99,   100,
       0,     0,   173,   174,     0,     0,     0,     0,   175,   176,
       0,   177,   178,   179,   180,   181,   182,   183,     0,     0,
       0,     0,     0,   184,   185,   186,     0,     0,   187,     0,
       0,     0,     0,     0,   188,     0,   382,     0,     0,     0,
       0,   383,   189,     0,     0,     0,   208,   209,     0,  1354,
       0,   485,    82,     0,    83,    84,     0,     0,     0,     0,
     210,   211,     0,     0,     0,     0,     0,     0,     0,  1704,
    1705,  1706,  1707,  1708,  1709,     0,     0,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   486,     0,     0,     0,     0,
       0,  2151,   190,     0,   463,   464,   465,   466,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,     0,     0,
       0,     0,     0,   243,  1710,  1711,  1712,  1713,  1714,  1715,
    1716,  1717,  1718,  1719,  1720,     0,     0,     0,     0,     0,
     377,     0,     0,   487,   378,   379,     0,     0,  1287,     0,
       0,     0,   381,     0,     0,     0,     0,     0,    95,    96,
      97,    98,    99,   100,     0,   191,     0,     0,     0,     0,
       0,     0,  2152,     0,   443,    82,     0,    83,    84,     0,
       0,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     382,     0,     0,     0,     0,   383,     0,     0,   202,   203,
     157,     0,   158,   159,   160,   161,   162,   163,     0,   164,
       0,     0,     0,     0,   467,     0,   165,   166,  1874,     0,
       0,   167,     0,     0,  2153,     0,     0,     0,     0,  2154,
       0,     0,     0,   168,   169,   170,   171,     0,     0,   172,
      82,     0,    83,    84,     0,     0,     0,     0,   204,   205,
     206,   207,     0,     0,     0,  2155,     0,     0,     0,     0,
       0,     0,     0,   377,  1288,     0,     0,   378,   379,     0,
       0,     0,     0,     0,     0,   381,     0,     0,     0,  2156,
       0,    95,    96,    97,    98,    99,   100,     0,     0,     0,
     173,   174,     0,     0,     0,     0,   175,   176,     0,   177,
     178,   179,   180,   181,   182,   183,     0,     0,     0,     0,
       0,   184,   185,   186,     0,     0,   187,     0,     0,     0,
       0,     0,   188,   382,     0,     0,     0,     0,   383,     0,
     189,     0,     0,     0,   208,   209,     0,     0,   377,     0,
       0,   444,   378,   379,     0,     0,  1396,     0,   210,   211,
     381,     0,   488,     0,     0,     0,    95,    96,    97,    98,
      99,   100,     0,     0,     0,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,     0,     0,     0,     0,     0,   382,     0,
     190,   569,     0,   383,     0,     0,   570,   571,   572,   573,
     574,     0,   240,   241,     0,   242,     0,     0,     0,     0,
       0,   243,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,  2157,   584,  2158,  2159,     0,     0,     0,  2160,
    2161,     0,  2162,     0,     0,     0,     0,     0,     0,     0,
    2163,  2164,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,     0,
       0,     0,   445,   446,   447,   448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   202,   203,   157,     0,
     158,   159,   160,   161,   162,   163,     0,   164,     0,     0,
       0,   449,     0,     0,   165,   166,  1289,     0,   450,   167,
       0,   451,     0,     0,   452,     0,     0,     0,     0,     0,
       0,   168,   169,   170,   171,  2165,     0,   172,     0,     0,
     358,   570,   571,   572,   573,   574,   204,   205,   206,   207,
       0,     0,     0,   -67,   -67,   -67,     0,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,     0,   584,   -67,
     -67,   -67,   -67,   -67,   580,   581,   582,   583,     0,     0,
     584,     0,     0,     0,     0,     0,  1397,     0,   173,   174,
       0,   359,     0,     0,   175,   176,     0,   177,   178,   179,
     180,   181,   182,   183,     0,     0,     0,     0,     0,   184,
     185,   186,     0,     0,   187,     0,     0,     0,     0,     0,
     188,     0,     0,     0,     0,     0,     0,     0,   189,     0,
       0,     0,   208,   209,     0,     0,     0,     0,   360,     0,
       0,     0,     0,  1398,     0,     0,   210,   211,     0,   453,
       0,     0,     0,   361,    82,     0,    83,    84,     0,     0,
       0,     0,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,     0,     0,     0,  1386,     0,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   570,   571,   572,     0,     0,   243,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
       0,   584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   362,   377,     0,     0,   363,   378,   379,     0,     0,
    1387,   191,     0,     0,   381,     0,     0,     0,     0,  1424,
      95,    96,    97,    98,    99,   100,     0,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   169,     0,     0,     0,
       0,   172,     0,     0,   202,   203,     0,     0,   364,     0,
       0,     0,   382,   365,   366,     0,     0,   383,     0,     0,
       0,     0,     0,     0,  1425,  1426,  1427,  1428,  1429,  1430,
    1431,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   367,     0,  1433,     0,
       0,  1434,     0,     0,   204,   205,   206,   207,   175,   176,
     368,   177,   178,   179,   180,   181,  1435,     0,     0,     0,
     369,     0,     0,     0,   370,     0,     0,     0,     0,     0,
       0,   960,     0,     0,     0,     0,     0,     0,  1436,     0,
    1437,     0,     0,     0,     0,   524,   832,   833,   834,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   371,     0,     0,   168,     0,   170,   171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,   211,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   961,   813,     0,     0,     0,   240,   241,
       0,   242,     0,     0,   962,   191,     0,   243,   963,     0,
       0,   964,   965,     0,  1424,     0,   966,     0,     0,     0,
       0,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,     0,     0,  1388,  1389,   967,     0,  1390,     0,     0,
       0,   169,  1391,     0,     0,     0,   172,     0,   202,   203,
       0,   968,   969,   970,     0,   971,     0,   972,   973,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
    1426,  1427,  1428,  1429,  1430,  1431,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,    82,     0,    83,    84,     0,
       0,     0,     0,  1433,     0,     0,  1434,     0,   204,   205,
     206,   207,     0,   175,   176,     0,   177,   178,   179,   180,
     181,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1392,     0,
       0,     0,     0,  1436,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   377,   208,   209,     0,   378,   379,     0,
       0,     0,     0,     0,     0,   381,     0,     0,   210,   211,
       0,    95,    96,    97,    98,    99,   100,   190,     0,     0,
       0,     0,     0,     0,     0,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   382,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   493,   240,   241,     0,     0,     0,     0,     0,  1438,
     191,     0,     0,     0,     0,     0,     0,     0,  1424,     0,
       0,     0,     0,     0,     0,     0,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,     0,     0,     0,     0,
       0,     0,     0,     0,   494,   169,     0,     0,     0,     0,
     172,     0,     0,   202,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,  1426,  1427,  1428,  1429,  1430,  1431,
    1432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
    1434,     0,     0,   204,   205,   206,   207,   175,   176,     0,
     177,   178,   179,   180,   181,  1435,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,   169,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,   211,     0,     0,     0,     0,   175,
     176,   190,   177,   178,   179,   180,   181,  1933,     0,     0,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   496,     0,     0,   240,   241,     0,
       0,     0,     0,  1926,   191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
       0,     0,     0,     0,     0,     0,     0,     0,   497,   498,
     499,     0,     0,   190,     0,     0,     0,   202,   203,   500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,   205,   206,
     207,     0,     0,     0,     0,     0,   191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   202,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,   211,   204,
     205,   206,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   394,   395,     0,     0,  2103,     0,     0,     0,     0,
       0,   240,   241,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   396,   208,   209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   397,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,     0,     0,     0,   377,     0,     0,
       0,   378,   379,     0,   398,   399,     0,     0,     0,   381,
     400,     0,     0,   240,   241,   401,   402,   403,   404,     0,
       0,     0,     0,     0,     0,  1982,     0,     0,   405,     0,
       0,   406,   407,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1984,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
    2104,   408,     0,     0,     0,   409,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2105,     0,     0,     0,  2106,     0,     0,  2107,
    2108,   410,   411,     0,     0,     0,     0,  2109,     0,   412,
     413,     0,   414,     0,  2110,     0,     0,     0,     0,  2111,
    2112,  2113,     0,     0,     0,   190,   415,     0,     0,     0,
       0,     0,   416,     0,   417,     0,   418,   419,     0,     0,
     420,   421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   422,   423,     0,     0,
       0,     0,   424,   425,     0,     0,     0,     0,     0,     0,
     426,     0,  2114,     0,   427,     0,     0,   428,   429,     0,
     430,  2115,   431,     0,     0,     0,   432,   433,   191,   434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
       0,     0,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,  2116,     0,  2117,     0,  2118,  2119,  2120,     0,
       0,   202,   203,     0,  2121,     0,     0,     0,     0,  2122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2123,
       0,     0,     0,     0,     0,     0,     0,  2124,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,   206,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,   211,     0,     0,     0,     0,  2125,     0,     0,
       0,     0,     0,   436,     0,     0,     0,     0,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   240,   241
};

static const yytype_int16 yycheck[] =
{
       7,   353,   536,   413,   414,   162,   356,   162,   243,   749,
     445,   243,   340,   705,   157,   474,   290,     7,    81,  1159,
    1159,     7,    85,    86,    24,  1159,     7,   355,   356,   381,
     382,     7,  1159,   130,   136,    17,    18,   134,    20,   136,
      60,   138,    22,   117,   146,   147,   512,     7,   514,   146,
     147,   517,   518,     6,   406,     7,   153,     4,     3,   752,
     150,   273,    15,    16,    17,    18,     7,   125,    33,   127,
    2077,   129,    46,   131,    15,   133,     0,   135,  1641,    20,
      87,   139,   222,   141,   412,   143,   243,   145,   243,     3,
      31,    36,   304,   151,   152,    11,    12,    17,    18,   240,
      20,    46,    15,    48,    49,   607,   434,    20,  1189,  1190,
    1191,  1192,   183,    17,    18,  1929,    20,    15,  1257,     3,
     448,    44,    20,  1257,    46,    11,    12,   198,   274,    74,
    1257,     8,     9,    10,    11,    12,    17,    18,  1017,    20,
      15,    16,    17,    18,   472,  1390,   648,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    81,     3,    35,  1426,
     167,     8,     9,    10,    11,    12,   494,    15,    16,    17,
      18,    19,    20,    46,  1441,    29,    30,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    15,    46,    35,    46,
     135,    20,   137,   138,    20,   140,    22,   142,    38,   144,
     340,   146,   147,    18,   149,    20,   961,     8,     9,    10,
      11,    12,    15,    16,    17,    18,  1929,   162,   163,   164,
     165,   166,   167,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    15,  1929,    35,   242,   377,    20,     8,     9,
      10,    11,    12,    15,    16,    17,    18,    19,    20,    38,
     128,  1006,   460,   394,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    32,   209,    35,    44,   702,    15,    15,
     215,    17,   335,    20,    20,   249,   221,   222,    47,    44,
      15,   516,    17,    15,    31,    20,    17,    18,    20,    20,
      15,   825,    22,   258,   357,    20,     8,     9,    10,    11,
      12,    47,   151,   226,   838,    37,    38,    39,    40,   517,
     150,   721,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   467,    15,    35,    30,     3,   654,    20,   678,    15,
      15,  1023,     3,     3,    20,    20,   610,   611,   612,   613,
     614,    38,   616,   617,   117,   619,   620,    47,   622,   623,
     678,    37,    38,    39,    40,   683,   240,   117,    15,    15,
     688,   150,   690,    20,    20,  1504,   195,   441,  1931,   512,
    1504,   514,  1935,  2380,   517,   518,  1255,  1504,    47,    20,
      37,    38,    39,    40,     8,     9,    10,    11,    12,    20,
      15,    22,  2206,   153,   154,    20,   724,   725,   158,   540,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   169,
      47,    35,    37,    38,    39,    40,   338,   485,   155,     8,
       9,    10,    11,    12,   337,   350,   778,   755,   134,   403,
     758,  1676,   842,   341,   844,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   439,    15,    35,   155,   226,   539,
      20,   188,    20,   150,   525,   805,   806,   477,    20,  1152,
      22,   226,  2298,   134,   792,   338,    15,   174,    38,   443,
     378,    20,    20,  1007,   323,   353,   282,   805,   806,   338,
     180,   338,    15,   289,   170,    20,   216,    20,   816,   222,
      15,  1926,   820,  2206,    30,    20,   824,  1912,   242,   407,
      22,  1635,   195,   411,    37,    38,    39,    40,   515,   150,
    2206,   180,    37,    38,    39,    40,   424,   749,   472,   473,
      20,   528,    22,   349,   432,   479,    20,   855,    22,   857,
     537,   538,   539,   540,   541,   542,   536,   865,   446,   607,
     338,   449,  1809,   180,   452,   540,   609,   554,   538,    62,
      63,   537,   538,   261,   462,    20,   537,    22,   540,   539,
     176,   537,     3,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   537,   536,   344,
     345,   526,   150,   536,   382,   537,   540,   540,  2003,   497,
     535,   499,   749,  2108,   749,   536,  2432,   289,   134,  2435,
     223,   542,  1357,   544,   152,  2040,  1687,   340,  1689,    20,
      21,  1692,   535,  1694,  1695,   150,   347,   432,  1120,  2034,
     540,   183,   538,   536,     8,     9,    10,    11,    12,    15,
      16,    17,    18,    19,    20,  1375,   540,   535,   536,   697,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   656,
     150,    35,   538,   390,   536,   280,  1008,   440,   539,   432,
     667,   536,   539,   157,  2179,   672,  1101,   290,   441,  1021,
     286,   906,   907,   155,  1814,  1814,   833,   909,   833,  1818,
    1814,  1033,   390,  1035,  1818,   539,   302,  1814,   536,    44,
     537,   538,     8,     9,    10,    11,    12,   245,  1053,   539,
      15,   214,  1168,   145,  1170,    20,   331,   536,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   239,   992,    35,
     994,    15,    37,    38,    39,    40,    20,   252,   253,  1057,
    1058,   468,   441,   536,   426,   184,   537,   538,   447,   168,
     396,  1069,    44,    37,    38,    39,    40,    17,    18,   406,
     539,   273,   909,   536,   909,  1083,  1084,   535,   441,   272,
     174,  1089,  1090,  1118,   536,   448,  1094,  1095,   538,  1097,
     535,  1099,  2207,   985,   986,   987,   988,   989,   990,   261,
     540,   993,  1110,   995,   158,   997,   998,  1926,  1116,   536,
     536,    20,  1926,    22,  1122,   542,   245,   544,  1126,  1926,
    1235,   536,   710,  1238,   536,  1240,   813,   539,   341,   342,
     535,   536,   539,   159,   971,   339,   971,     8,     9,    10,
      11,    12,    20,    21,  1358,    20,   538,    22,  1156,    32,
     738,   540,   740,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   539,   536,    35,   155,   754,   536,   397,   398,
     536,   536,   760,   401,   762,   379,   764,   540,   766,   767,
     768,   769,   770,   771,   210,   773,   345,   775,   776,   417,
     418,   226,   538,  1283,    32,   541,   186,   785,   786,   536,
     536,   789,    15,   514,  1576,   793,  1345,   134,  1969,   896,
     521,   898,   259,  1974,    92,  1976,    62,    63,  1979,  2039,
    2039,  2040,    80,   539,   383,  2039,  2040,   222,   390,    62,
      63,   536,  2039,  2040,   538,     8,     9,    10,    11,    12,
     538,   150,   367,   368,   226,   543,   293,   224,  1668,   837,
      81,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      17,    18,    35,    20,   852,    15,   854,    86,   160,   538,
      20,   261,   262,   250,  1056,   150,   135,   136,  1055,  1056,
     539,     8,     9,    10,    11,    12,   536,    37,    38,    39,
      40,   150,   184,   293,   294,  1303,   155,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   280,   536,    35,   344,
     345,   170,     8,     9,    10,    24,  1406,   176,   149,    15,
     522,   523,   524,   536,    20,   536,    35,  1359,    24,    25,
      26,   536,   207,   208,    17,    18,    15,    20,  1081,    22,
      47,    20,   536,  1120,   394,  1168,   536,  1170,  1562,  1241,
     400,  1243,  1360,   245,   286,   219,   224,   331,    37,    38,
      39,    40,   344,   345,  1146,  1147,  1148,   146,   214,  1146,
    1147,  1148,    79,   820,  1406,    31,    32,   824,  1215,    35,
    1215,   214,   314,   315,  1276,   277,   536,    15,  2207,   208,
    1398,    15,    20,  2207,  1405,  1403,    20,  1408,   536,  2238,
    2207,     8,     9,    10,    11,    12,   536,   103,   104,    37,
      38,    39,    40,    37,    38,    39,    40,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   272,   285,    35,   536,
       8,     9,    10,    11,    12,   153,   154,  1445,   145,   272,
     219,   220,   221,   307,   537,   538,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   538,   314,    35,   305,   306,
     543,   538,  2223,  1375,  2225,   323,   543,    15,   332,   224,
     536,  1586,    20,   180,   538,  1063,  1064,    22,   185,     9,
      10,    11,    12,     3,  1072,     3,  1074,  1174,    18,    37,
      38,    39,    40,  1180,   201,  1182,  1183,  1184,  1185,     3,
     535,    20,    21,     8,     9,    10,    11,    12,  1195,     3,
      17,    18,   135,    20,  1201,  1258,   377,   378,  1526,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    47,     3,
      35,   350,    20,   352,    22,   354,   355,   160,  1375,   358,
    1375,   536,   538,   404,   188,   189,   190,   191,   192,  2388,
    2389,  1386,   263,   535,  1142,  1390,  2395,  2396,   181,    20,
     183,   184,   536,   150,   159,   160,   161,  1155,     3,  1157,
    1578,  1579,   217,   218,   253,  1583,     8,     9,    10,    11,
      12,   331,  1590,  1667,     3,  1593,   181,   182,     3,   184,
    1674,     3,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   438,   439,    35,     3,   442,   443,   444,   537,   538,
    1618,  1619,     8,     9,    10,    11,    12,   135,   136,  1627,
     243,   244,   245,   246,   482,   483,   484,     3,    24,    25,
      26,    27,    28,    29,    30,    31,    32,     3,  1846,    35,
     158,   472,   125,   126,     3,  1853,   129,    44,  1856,    22,
    1858,   134,   135,    50,    51,    52,    53,  1665,    55,    56,
      57,    15,   180,    60,  1672,    62,    63,   538,   538,  1759,
     540,    68,    69,   538,  1511,   540,  1511,     8,     9,    10,
      11,    12,     3,  1515,   515,   516,   517,   518,   519,   520,
    1522,   135,   136,    24,    25,    26,    27,    28,    29,    30,
      31,    32,     3,   540,    35,   253,   150,  1739,     3,    44,
    2471,   155,    42,    43,  1302,    50,    51,    52,    53,   460,
      55,    56,    57,    42,    43,    60,   170,    62,    63,    17,
      18,    19,    20,    68,     8,     9,    10,  1827,  1425,  1426,
     538,  1428,   540,    24,   274,   275,  1433,  1434,    20,   377,
      24,    25,    26,    44,  1441,    20,  1668,    22,  1501,    17,
      18,  2522,    53,  1351,   537,  1353,  2473,    58,    20,  2476,
    2477,   535,  1604,   135,   136,  1462,   538,  1464,   540,  1611,
     223,  2488,  1370,    20,  1372,    22,   536,   535,   150,  1377,
     537,   538,  1800,   155,   537,   538,   158,  1887,     3,   458,
       8,     9,    10,    11,    12,    20,  2513,  2514,   170,  1397,
     537,  2518,  2519,    47,   176,    20,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    17,    18,    35,    20,   103,
     104,  1668,    18,  1668,    20,    17,    18,  1845,    20,   539,
     536,  1676,   145,  1851,     8,     9,    10,    11,    12,    17,
      18,   274,    20,    58,    22,   535,   538,   536,   540,   535,
      24,    25,    26,    27,    28,    29,    30,    31,    32,  1953,
    1954,    35,   188,   189,   190,   191,   192,  1961,  1962,   170,
       8,     9,    10,    11,    12,   382,   383,   384,   385,   386,
     387,   388,   389,   359,   360,  1903,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   152,   539,    35,   536,   535,
     157,   537,   536,    83,    84,    85,    86,    87,    88,    89,
      90,    91,   535,    93,    94,    95,    96,    97,    98,   539,
     537,   172,   173,   174,   175,   539,     3,   539,  1946,   144,
    1673,  1949,  1675,  1951,  1631,    64,    65,    66,    67,  1080,
    1982,  1082,  1639,    20,    21,   302,  1643,  1987,  1645,   537,
     535,   252,   253,    41,    42,    43,   135,   136,  1556,  1557,
    1558,    22,  1560,    58,    59,   266,   267,   268,   291,  1987,
    1988,   150,   273,   451,   452,   453,   155,   339,   536,   158,
     174,  1678,  1580,   240,   274,  1738,   280,  1909,  1910,    11,
      12,   170,  2010,   537,   538,   280,  2014,    74,  2016,  2017,
     279,  2019,   537,   538,  1929,   265,   252,   253,   269,   270,
     305,  1609,   188,   189,     8,     9,    10,    11,    12,   188,
     189,   318,   537,   186,   187,   162,   163,  2065,  2066,   265,
      24,    25,    26,    27,    28,    29,    30,    31,    32,  1698,
    1699,    35,  2060,   265,  2062,  2063,  2064,   289,   144,   308,
     309,   324,   148,   149,   326,   311,   152,   335,   135,   274,
     156,   348,  1909,  1910,  1909,  1910,   535,   539,   535,   146,
     147,   286,   416,  2091,   539,   539,  2094,   174,   117,  2097,
     144,   158,   145,   338,  2184,   535,  2104,   345,   345,    15,
     539,   539,  2110,  2111,   535,   537,   535,    20,   170,  2117,
    2118,   158,  2120,   535,  2122,   144,   274,   535,   204,   148,
     149,  2129,  1809,   209,   153,   154,   539,   156,   375,   158,
    1817,   539,   539,  2141,  2142,   539,   158,  2145,  2146,   539,
     169,   537,   535,   540,   535,   330,   393,   174,   395,   158,
     280,   535,   399,   535,  1742,   280,   539,   404,   405,  2167,
     539,   535,    14,  2171,    15,    15,  2198,  2175,   373,    32,
     256,   257,    29,  2181,    30,   204,    35,    15,   538,     7,
     209,    15,  2190,    15,  1772,  1773,   536,     3,     3,     3,
       3,     8,     9,    10,    11,    12,   535,     3,     3,  2229,
    2230,  2231,   407,   408,     3,   540,   537,    24,    25,    26,
      27,    28,    29,    30,    31,    32,     3,     3,    35,     3,
       3,  2229,  2230,  2231,  2254,  2255,     3,     3,     3,  2237,
       3,   538,   538,   535,   348,    17,    18,    19,    20,  2247,
    2248,  2249,  2250,  2251,   205,   535,  2254,  2255,    20,   540,
     280,   316,  1939,  1940,  1941,   280,  1943,   535,   210,   535,
     280,  2269,  2270,  2271,    46,   535,    48,    49,   535,   535,
      33,   535,   280,   280,   280,   145,   535,  2285,  2286,   226,
     535,   535,  2290,   170,    15,    15,    20,   177,   285,    15,
    2205,  2206,   535,   540,  2302,    47,    15,  2305,   134,  2307,
     538,  2309,    30,   538,    15,  2313,  2314,   226,  2398,  2399,
       3,   226,   536,  2321,  1902,    20,  2151,   158,  2408,   158,
      20,     3,     3,   537,    20,   354,  2334,  2335,  2336,   537,
       8,     9,    10,    11,    12,   535,  2344,    22,   535,   535,
      30,  2349,   535,   538,  2352,  2353,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   535,  2043,    35,     8,     9,
      10,    11,    12,   535,   535,   174,   280,  2375,  2376,   539,
     535,   178,   179,   537,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   535,   535,    35,   535,   535,   535,   535,
     535,   535,   535,   535,   535,  1983,   203,   535,   535,   535,
     535,   535,   535,   535,   171,    46,    51,    15,  1996,   537,
     170,   535,   535,    58,   535,    18,    30,   539,    30,  2427,
     538,  2009,    15,  2011,    15,    20,  2434,     3,  2436,    35,
    2438,    20,  2464,  2465,     3,     3,  2444,  2025,  2026,  2027,
      85,     3,    87,   250,   251,    15,     3,   254,   255,     3,
       3,     3,     3,   260,   540,    13,     3,    15,    16,    17,
      18,    19,    20,   537,    22,   538,   111,    22,   144,   535,
     538,    29,    30,    31,   119,   120,    34,   122,   123,     8,
       9,    10,    11,    12,   275,   130,   131,   132,    46,    47,
      48,    49,   535,   535,    52,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   535,   330,    35,   535,   339,   535,
     174,   540,   535,     8,     9,    10,    11,    12,  2106,   535,
     535,   535,  2209,   313,   535,   535,   158,    53,  2116,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   125,   535,
      35,   535,   535,   535,   535,   103,   104,   105,   106,   107,
     108,   109,   110,   537,   112,   113,   114,   115,   116,   117,
     118,   535,   274,   535,   409,   535,   124,   125,   126,   535,
    2158,   129,   160,   535,   176,    32,   536,   135,     8,     9,
      10,    11,    12,    24,   535,   143,   536,   536,  2176,  2177,
      24,    30,    32,   538,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   538,    15,    35,     8,     9,    10,    11,
      12,    35,    35,    18,     3,     3,   540,   535,    15,   539,
     145,   170,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   356,   178,    35,   361,   357,   535,   535,   535,   275,
     287,    44,     8,     9,    10,    11,    12,   539,   539,   170,
     539,   539,    15,   539,   535,   213,   535,   203,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   535,  2256,    35,
      15,    30,    54,    34,    61,   535,    31,   223,  2365,    31,
     535,     7,   540,   537,   259,   135,   136,   243,   535,   351,
    2278,   539,  2280,  2281,   144,   174,   280,   539,   148,   149,
    2288,     7,   539,  2291,   539,   538,   156,   536,   158,   539,
     537,   537,   536,   536,   260,   535,   537,   536,   276,    70,
     537,   267,   256,   535,  2312,   101,   537,   537,  2316,   537,
    2318,    32,   536,   540,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    15,    31,   535,    31,     7,   253,
      71,    72,    73,   289,   204,   535,   535,  2345,  2346,   209,
    2348,   319,   320,     7,   535,   539,  2354,   441,  2356,  2357,
      13,   539,    15,    16,    17,    18,    19,    20,   441,    22,
     535,   540,   538,   537,   537,   536,    29,    30,   537,   537,
     144,    34,   538,   537,   148,   149,   537,   178,   152,   254,
     254,   254,   156,    46,    47,    48,    49,   186,   275,    52,
     271,   369,   370,   371,   372,   274,   137,   254,   254,   535,
     271,     8,     9,    10,    11,    12,   539,  2415,   149,   274,
     413,   289,   326,   379,   380,   381,  2424,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   384,   411,    35,   382,
     204,   535,  2440,   174,   175,   209,   535,   431,   403,   537,
     103,   104,   105,   106,   107,   108,   109,   110,   433,   112,
     113,   114,   115,   116,   117,   118,   426,   436,   426,   280,
     275,   124,   125,   126,   259,   206,   129,   537,   209,   259,
     211,   535,   135,   535,    22,   535,   280,   455,   456,   271,
     143,   222,   403,   280,   326,   466,   280,    46,   535,    48,
      49,   469,   470,   363,   364,   365,   535,   238,   535,   535,
     464,   242,   535,    32,   535,   535,   247,   248,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   475,   474,    32,   540,
      22,   540,   535,   450,   280,   414,   280,   254,   428,   254,
     213,   170,   538,   476,   476,   533,   534,   537,   536,     8,
       9,    10,    11,    12,   542,   391,   396,   396,   971,   971,
     971,  1417,   535,   535,   540,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   535,   144,    35,   535,   537,   148,
     149,   535,   535,   152,  1950,   535,   538,   156,  1672,   535,
     535,   535,   607,   162,   163,   164,   165,   166,   167,   537,
    1951,  1456,  1456,   276,  1949,  1456,  1456,  1674,   535,  1016,
     658,   362,   537,   907,  1504,  2039,   242,  2205,   516,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,  2206,
     906,   797,   456,  1202,  1277,   204,   909,  2380,  1882,  1735,
     209,  1282,   602,  1204,  1752,  1088,   319,   320,    13,  1781,
      15,    16,    17,    18,    19,    20,  1758,    22,  1906,  2303,
     540,  2151,  2168,  2317,    29,    30,    31,  2172,  2319,    34,
    2171,  1623,   849,    -1,  1038,  1001,    -1,   537,    -1,    -1,
     651,    46,    47,    48,    49,    -1,    -1,    52,    -1,    -1,
       8,     9,    10,    11,    12,    -1,   369,   370,   371,   372,
      -1,    -1,    -1,    -1,   273,   537,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    35,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,    -1,   103,   104,
      -1,   537,    -1,    -1,   109,   110,   530,   112,   113,   114,
     115,   116,   117,   118,    -1,    -1,   540,    -1,    -1,   124,
     125,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,   527,   528,   143,    -1,
      -1,    -1,   455,   456,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   469,   470,    -1,    -1,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,    -1,
     533,   534,    -1,   536,    -1,    -1,    -1,    -1,    -1,   542,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,     8,     9,    10,    11,    12,   183,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    35,
      -1,   276,    -1,    -1,    -1,    44,   212,    46,   535,    48,
      49,    -1,    -1,   219,    -1,    -1,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,   241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   249,   319,   320,    13,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,   264,    -1,
      -1,   540,    29,    30,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,
      47,    48,    49,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,   370,   371,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,   148,
     149,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,
      -1,    -1,    -1,   162,   163,   164,   165,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,
     366,    -1,   129,    -1,    -1,   204,   535,    -1,   135,    -1,
     209,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
     455,   456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
      -1,    -1,    -1,   282,    -1,    -1,   213,    -1,    -1,    -1,
      -1,   457,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,   536,    -1,    -1,    -1,    -1,    -1,   542,    -1,    -1,
       8,     9,    10,    11,    12,   481,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   535,    -1,   276,
      -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,    -1,    -1,    -1,    -1,
     178,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   319,   320,    13,    -1,    15,    16,    17,    18,
      19,    20,   100,    22,    -1,   203,    -1,    -1,    -1,    -1,
      29,    30,    31,    -1,    -1,    34,   117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   125,    -1,    -1,    46,    47,    48,
      49,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   535,   369,   370,   371,   372,    -1,    -1,    -1,    -1,
      -1,   249,   153,   154,   252,   253,    -1,   158,    -1,    -1,
      -1,    -1,   260,    -1,    -1,    -1,    -1,   265,   169,    -1,
     268,    -1,    -1,   472,    -1,   273,    -1,    -1,    -1,   478,
      -1,   480,    -1,    -1,   103,   104,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,    -1,   302,   124,   125,   126,    -1,    -1,
     129,   535,    -1,    -1,    -1,    -1,   135,   218,    -1,    -1,
      -1,   222,    -1,    -1,   143,    -1,    -1,   325,   455,   456,
      46,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,   535,
      -1,   540,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   402,    -1,   533,   534,    -1,   536,
      -1,   312,    -1,    -1,    -1,   542,    -1,    -1,    -1,    -1,
     321,   322,    -1,    -1,    -1,   423,    -1,   328,   144,    -1,
      -1,   332,   148,   149,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   343,    -1,    -1,    -1,   162,   163,   164,   165,
     166,   167,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
     176,    -1,   460,   461,   462,   463,    -1,   465,    46,    -1,
      48,    49,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
     319,   320,    13,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    29,    30,
      31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    46,    47,    48,    49,    -1,
      -1,    52,   540,    46,    -1,    48,    49,    -1,    -1,    -1,
     369,   370,   371,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,
     148,   149,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
      -1,    -1,    -1,    -1,   162,   163,   164,   165,   166,   167,
      -1,    -1,   103,   104,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,    -1,    -1,   124,   125,   126,    -1,    -1,   129,    -1,
      -1,    -1,    -1,    -1,   135,    -1,   204,    -1,    -1,    -1,
      -1,   209,   143,    -1,    -1,    -1,   455,   456,    -1,   540,
      -1,   219,    46,    -1,    48,    49,    -1,    -1,    -1,    -1,
     469,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
     163,   164,   165,   166,   167,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   273,    -1,    -1,    -1,    -1,
      -1,    86,   213,    -1,   420,   421,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,   536,    -1,    -1,
      -1,    -1,    -1,   542,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,   321,   148,   149,    -1,    -1,   152,    -1,
      -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,   162,   163,
     164,   165,   166,   167,    -1,   276,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    45,    46,    -1,    48,    49,    -1,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,   209,    -1,    -1,   319,   320,
      13,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,   540,    -1,    29,    30,    31,    -1,
      -1,    34,    -1,    -1,   219,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,    46,    47,    48,    49,    -1,    -1,    52,
      46,    -1,    48,    49,    -1,    -1,    -1,    -1,   369,   370,
     371,   372,    -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,   278,    -1,    -1,   148,   149,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,   274,
      -1,   162,   163,   164,   165,   166,   167,    -1,    -1,    -1,
     103,   104,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,    -1,
      -1,   124,   125,   126,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,   135,   204,    -1,    -1,    -1,    -1,   209,    -1,
     143,    -1,    -1,    -1,   455,   456,    -1,    -1,   144,    -1,
      -1,   222,   148,   149,    -1,    -1,   152,    -1,   469,   470,
     156,    -1,   540,    -1,    -1,    -1,   162,   163,   164,   165,
     166,   167,    -1,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,   204,    -1,
     213,     3,    -1,   209,    -1,    -1,     8,     9,    10,    11,
      12,    -1,   533,   534,    -1,   536,    -1,    -1,    -1,    -1,
      -1,   542,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,   427,    35,   429,   430,    -1,    -1,    -1,   434,
     435,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,   446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
      -1,    -1,   373,   374,   375,   376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,   320,    13,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,   402,    -1,    -1,    29,    30,   540,    -1,   409,    34,
      -1,   412,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    46,    47,    48,    49,   540,    -1,    52,    -1,    -1,
     151,     8,     9,    10,    11,    12,   369,   370,   371,   372,
      -1,    -1,    -1,     8,     9,    10,    -1,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    35,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,   402,    -1,   103,   104,
      -1,   202,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,    -1,    -1,   124,
     125,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,   455,   456,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,   459,    -1,    -1,   469,   470,    -1,   540,
      -1,    -1,    -1,   264,    46,    -1,    48,    49,    -1,    -1,
      -1,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,    -1,    -1,    86,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,   536,     8,     9,    10,    -1,    -1,   542,
      -1,    -1,    -1,    -1,   540,    -1,    -1,    -1,    -1,    -1,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,   144,    -1,    -1,   366,   148,   149,    -1,    -1,
     152,   276,    -1,    -1,   156,    -1,    -1,    -1,    -1,    20,
     162,   163,   164,   165,   166,   167,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    52,    -1,    -1,   319,   320,    -1,    -1,   419,    -1,
      -1,    -1,   204,   424,   425,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,    99,    -1,
      -1,   102,    -1,    -1,   369,   370,   371,   372,   109,   110,
     471,   112,   113,   114,   115,   116,   117,    -1,    -1,    -1,
     481,    -1,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
     141,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   532,    -1,    -1,    46,    -1,    48,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,   136,    -1,    -1,    -1,   533,   534,
      -1,   536,    -1,    -1,   146,   276,    -1,   542,   150,    -1,
      -1,   153,   154,    -1,    20,    -1,   158,    -1,    -1,    -1,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,    -1,   445,   446,   177,    -1,   449,    -1,    -1,
      -1,    47,   454,    -1,    -1,    -1,    52,    -1,   319,   320,
      -1,   193,   194,   195,    -1,   197,    -1,   199,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    46,    -1,    48,    49,    -1,
      -1,    -1,    -1,    99,    -1,    -1,   102,    -1,   369,   370,
     371,   372,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,
      -1,    -1,    -1,   139,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,   455,   456,    -1,   148,   149,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,   469,   470,
      -1,   162,   163,   164,   165,   166,   167,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   204,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,   533,   534,    -1,    -1,    -1,    -1,    -1,   540,
     276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,    47,    -1,    -1,    -1,    -1,
      52,    -1,    -1,   319,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,    -1,
     102,    -1,    -1,   369,   370,   371,   372,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,    -1,    -1,    -1,
      20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,   141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,   470,    -1,    -1,    -1,    -1,   109,
     110,   213,   112,   113,   114,   115,   116,   117,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   485,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,   539,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,
     531,    -1,    -1,   213,    -1,    -1,    -1,   319,   320,   540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   370,   371,
     372,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,   456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,   470,   369,
     370,   371,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    81,   455,   456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,
     470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,    -1,    -1,   144,    -1,    -1,
      -1,   148,   149,    -1,   151,   152,    -1,    -1,    -1,   156,
     157,    -1,    -1,   533,   534,   162,   163,   164,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     223,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,    -1,    -1,   252,
     253,   248,   249,    -1,    -1,    -1,    -1,   260,    -1,   256,
     257,    -1,   259,    -1,   267,    -1,    -1,    -1,    -1,   272,
     273,   274,    -1,    -1,    -1,   213,   273,    -1,    -1,    -1,
      -1,    -1,   279,    -1,   281,    -1,   283,   284,    -1,    -1,
     287,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,   304,    -1,    -1,
      -1,    -1,   309,   310,    -1,    -1,    -1,    -1,    -1,    -1,
     317,    -1,   325,    -1,   321,    -1,    -1,   324,   325,    -1,
     327,   334,   329,    -1,    -1,    -1,   333,   334,   276,   336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,
      -1,    -1,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   375,    -1,   377,    -1,   379,   380,   381,    -1,
      -1,   319,   320,    -1,   387,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   369,   370,   371,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   469,   470,    -1,    -1,    -1,    -1,   540,    -1,    -1,
      -1,    -1,    -1,   540,    -1,    -1,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   546,   547,    71,    72,    73,   137,   149,   174,
     175,   206,   209,   211,   222,   238,   242,   247,   248,   362,
     527,   528,   603,   604,   605,   606,   706,   707,   708,   709,
     711,   712,   713,   719,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   762,   773,   774,   775,   776,   796,
     834,   835,   836,   837,   838,   839,   840,   841,   896,   897,
     920,   933,   934,   935,   936,   937,   938,   939,   940,     0,
       3,    36,    46,    48,    49,    74,   135,   137,   138,   140,
     142,   144,   146,   147,   149,   162,   163,   164,   165,   166,
     167,   209,   215,   221,   222,   526,   535,   548,   549,   607,
     609,   610,   611,   612,   621,   657,   659,   660,   662,   663,
     676,   679,   689,   690,   691,   746,   749,   763,   766,   777,
     783,   792,   795,   799,   800,   843,   844,   846,   848,   849,
     854,   885,   888,   898,   899,   911,   912,   921,   924,   931,
     932,   943,   946,   947,     3,     3,     3,    13,    15,    16,
      17,    18,    19,    20,    22,    29,    30,    34,    46,    47,
      48,    49,    52,   103,   104,   109,   110,   112,   113,   114,
     115,   116,   117,   118,   124,   125,   126,   129,   135,   143,
     213,   276,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   319,   320,   369,   370,   371,   372,   455,   456,
     469,   470,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     533,   534,   536,   542,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   600,   601,   602,   627,
     643,   645,   646,   648,   649,   650,   651,   745,    20,    22,
     150,   743,   743,   743,   207,   208,   743,   743,     3,   174,
     183,   184,   212,   219,   239,   241,   249,   264,   366,   457,
     481,   135,   160,   181,   183,   184,   243,   244,   245,   246,
      38,   150,   539,   732,   743,   242,    22,   239,   273,   522,
     523,   524,   941,     3,    20,    21,   552,   552,   552,   651,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    93,
      94,    95,    96,    97,    98,   613,   536,   536,   145,   183,
     198,   525,   168,    20,    22,   183,   576,   146,   219,   220,
     221,   677,   678,   923,   174,   460,   517,   158,   151,   202,
     249,   264,   362,   366,   419,   424,   425,   457,   471,   481,
     485,   532,   798,   884,    47,   552,   664,   144,   148,   149,
     152,   156,   204,   209,   273,   540,   660,   665,   666,   671,
     693,   664,   664,   664,    48,    49,    81,   112,   151,   152,
     157,   162,   163,   164,   165,   175,   178,   179,   218,   222,
     248,   249,   256,   257,   259,   273,   279,   281,   283,   284,
     287,   288,   303,   304,   309,   310,   317,   321,   324,   325,
     327,   329,   333,   334,   336,   346,   540,   665,   784,   785,
     791,   664,   664,    45,   222,   373,   374,   375,   376,   402,
     409,   412,   415,   540,   660,   665,   802,   803,   804,   805,
     806,   664,   176,   420,   421,   422,   423,   540,   665,   671,
     845,   539,   117,   153,   154,   158,   169,   354,   540,   665,
     667,   664,   664,   664,   664,   219,   273,   321,   540,   665,
     671,   915,   916,   222,   265,   412,   485,   529,   530,   531,
     540,   665,   671,   922,   945,   664,   664,   152,   530,   540,
     665,   948,    15,    20,    31,   536,   542,   544,   642,   644,
     649,    32,   556,    32,    17,    18,   557,   558,   536,   134,
      30,   134,   651,    15,   539,   539,   536,   536,   536,   536,
     536,   536,   536,   105,   106,   107,   108,   632,   651,    15,
      16,    18,    19,    20,   536,   557,   558,   565,   627,   628,
     631,   633,   634,   635,   637,   639,   640,   224,   224,     3,
       8,     9,    10,    11,    12,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    35,    38,   150,   539,   694,    22,
     577,   577,   743,   743,     3,    38,   150,   539,   697,     3,
      20,    22,   150,   744,     3,   240,     3,   714,     3,   720,
     263,   160,   184,   245,   277,    20,   152,   245,   401,   417,
     418,   710,   184,   245,   710,   150,     3,     3,     3,     3,
       3,     3,     3,     3,    81,   149,   472,   515,   516,   517,
     518,   519,   520,   929,   930,    15,   733,   577,   797,     3,
     941,   941,     3,     3,   460,   942,    24,   622,   608,    92,
     552,    20,    20,    15,    17,    20,    47,   536,   658,   694,
      15,    20,   536,   550,    37,    38,    39,    40,   170,   550,
     553,   697,   535,    22,   216,   535,   514,   521,   576,   927,
     223,   550,   551,   551,   552,   367,   368,   847,   458,    20,
      47,   539,   145,   553,   694,   692,   157,   576,   576,   697,
     274,   535,   539,   669,   535,   535,   539,   539,   539,   223,
     290,   302,   535,    22,   293,   294,    46,   338,    46,   338,
      46,   338,    46,   338,   291,   576,   553,   339,   174,   219,
     307,   332,   222,   553,   535,   550,    17,    18,    20,   347,
     554,   779,   554,   778,   274,   280,   282,   289,   280,   279,
     265,   289,   305,   306,   305,   553,   311,   318,   265,   265,
     326,   324,   259,   293,   553,   335,   337,   550,   348,   535,
     539,   789,   535,   539,   539,   416,   174,   658,   553,   144,
     550,   553,   145,   345,   553,   338,   801,   669,   535,   539,
     539,   553,    47,   180,    15,   224,   250,   153,   154,   535,
     535,   550,   135,   136,   150,   155,   170,   176,   619,   673,
     170,   673,    20,   672,   170,   158,   535,   535,   539,   539,
     539,   539,    18,    19,    20,   568,   571,   274,   158,   535,
     535,    80,   285,   314,   323,   482,   483,   484,   913,   914,
     539,   919,   174,   550,   330,   158,   553,   280,   553,   535,
     535,   539,   539,   949,   953,   280,   535,     7,   644,   644,
     651,    17,    18,   637,   644,   644,    14,    15,    15,    32,
     647,   651,    29,    30,   134,    30,   597,   597,   672,   651,
     651,   651,   651,   651,   651,    15,   538,   537,   538,    31,
     630,   632,   651,    29,    30,   539,     7,   538,   543,   538,
     543,    15,    15,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,    51,    58,    85,
      87,   111,   119,   120,   122,   123,   130,   131,   132,   159,
     160,   161,   181,   182,   184,   695,   696,     3,     3,     3,
       3,     3,   159,   210,   698,   699,     3,   744,     3,     3,
       3,   135,   146,   150,   153,   154,   158,   177,   193,   194,
     195,   197,   199,   200,   571,   619,   717,     3,    74,   135,
     146,   147,   158,   552,   710,   710,   710,   710,   710,   710,
     710,   842,   150,   710,   150,   710,     3,   710,   710,     3,
       3,   538,   540,     3,     3,     3,   135,   158,   180,   619,
       3,   942,   550,     3,   651,   536,   615,   616,   617,   620,
     535,   538,   538,   686,   687,   651,   535,   651,   551,   535,
     550,   217,   218,   348,   925,   550,   926,   150,   539,   928,
     550,    41,    42,    43,   205,   661,   664,    20,   658,   680,
     683,   684,   553,   668,   670,   748,   765,   280,   280,   554,
     535,   550,   550,    81,   350,   535,   535,   222,   340,   280,
     331,   553,   316,   553,   210,   535,   535,   535,    20,   565,
     570,    33,   555,    44,   226,   344,   345,   535,   555,    44,
     226,   535,   553,   550,   280,   280,   550,   280,   553,   280,
     553,   145,   553,   535,   553,   553,   553,   553,   553,   553,
     226,   553,   535,   553,   553,   535,   349,   576,   788,   790,
     794,   553,   280,   331,   553,   553,   170,   550,   553,   670,
     807,    15,    15,   551,   551,    20,   617,   618,   651,    38,
     550,   675,   177,   675,   675,   672,   853,   887,   900,   553,
     672,    22,   554,   554,    46,   249,   403,   443,   913,   918,
     535,   553,   553,   550,   550,   684,   685,   550,    15,   537,
     543,    47,    15,   537,   538,   134,    30,   598,   599,   537,
     538,   537,   538,   538,   538,   538,   537,   651,   651,   538,
       7,   538,   538,   537,    15,   536,   628,   635,   639,   226,
     226,   536,   538,   540,   538,   540,     3,   618,    20,   158,
     158,    20,   150,    17,    18,    19,    20,   557,   558,   559,
     560,   561,   715,   716,    20,     3,   577,   577,   577,   577,
     577,   577,     3,    20,    58,   144,   274,   286,   373,   407,
     408,   710,   577,   710,   577,   577,   577,   930,   618,    22,
     672,   576,     3,   535,   537,   614,   620,   539,   613,   576,
      20,   684,   535,   537,   537,    22,    42,    43,    42,    43,
     576,   576,   929,   535,   535,    30,   682,   538,   535,   540,
     667,   152,   256,   257,   540,   665,   747,   152,   278,   540,
     665,   671,   764,   550,   550,   535,   535,   535,   553,   539,
     553,   780,   174,   280,   550,   535,   535,   553,   535,   553,
     779,   552,   779,   550,   550,   778,   550,   550,   535,   535,
     550,   550,   535,   550,   535,   550,   535,   658,   535,   535,
     535,   535,   535,   535,   535,   535,   550,   535,   535,   535,
     550,   535,    53,   125,   153,   154,   218,   222,   312,   321,
     322,   328,   332,   343,   540,   667,   787,   135,   158,   363,
     364,   365,   540,   619,   665,   793,   550,   550,   152,   157,
     240,   345,   375,   393,   395,   399,   404,   405,   540,   808,
     815,   818,   171,   674,   553,   535,    86,   152,   445,   446,
     449,   454,   540,   665,   671,   850,   152,   402,   459,   540,
     665,   671,   886,    44,   282,   316,   472,   478,   480,   540,
     665,   671,   901,   903,   535,   535,   555,    46,    15,   573,
     574,   553,   550,   553,    20,    75,    76,    77,    78,    79,
      80,    81,    82,    99,   102,   117,   139,   141,   540,   648,
     650,   652,   654,   745,   917,   170,   944,   539,   952,   644,
     644,    18,   651,    30,    30,   595,   596,   651,   651,   651,
     651,   651,   538,   537,   538,    31,   630,   651,   630,    31,
     630,   630,   538,   651,    15,    15,   651,   696,   699,    20,
      20,    47,    17,    18,    35,     3,     3,     3,     3,     3,
       3,    15,   658,   658,   658,   577,     3,   577,     3,     3,
       3,   613,   623,   624,   625,   654,   552,   537,   538,   540,
      22,   577,   681,   683,   535,   750,   756,   750,   757,   554,
     761,   535,   767,   772,   144,   535,   538,   535,   535,    86,
     208,   350,   352,   354,   355,   358,   781,   782,   535,   331,
     553,   550,   535,   535,   535,   535,   535,   535,   535,   535,
     535,   535,   535,   535,   535,   275,   330,   158,   158,   339,
     174,   313,   158,   151,   323,   553,    53,   553,   535,   618,
      22,   672,   576,   550,   125,   535,   827,   833,   377,   378,
     404,   553,   810,   377,   553,   809,   274,   570,   811,   812,
     406,   553,   535,   409,   828,   172,   173,   174,   175,    20,
     558,   569,   864,   869,   855,   863,   851,   852,   569,   160,
     535,   889,   895,   553,   550,   535,   550,   176,   902,   902,
      20,   554,   576,   904,    60,   477,   905,   902,   535,   574,
      32,    24,   651,   653,   653,   536,   651,   651,   651,    24,
     536,   536,   535,    24,   653,    24,    35,   550,   951,    32,
      30,    44,    50,    51,    52,    53,    55,    56,    57,    60,
      62,    63,    68,   540,   580,   581,   582,   583,   585,   593,
      69,   540,   581,   582,   583,   584,   585,   594,   538,   537,
     537,   537,   537,   651,   651,   537,   538,     7,   537,   538,
     537,   538,     7,   537,   538,   538,    15,   537,    35,    35,
      18,    46,    48,    49,   162,   163,   164,   165,   166,   167,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   718,     3,     3,   552,   540,   624,   535,    15,    17,
      18,    20,   557,   558,   572,   685,   539,   755,    33,   258,
     758,   685,   145,   550,   170,   361,   128,   353,   357,   356,
     359,   360,   538,   540,   535,   535,   535,   176,   286,   302,
     252,   253,   553,   553,   553,   222,   340,   553,   286,   314,
     315,   672,   275,   287,   684,   829,   550,   550,   553,   539,
     550,   539,   658,   539,   550,   550,   539,   539,   868,   685,
     539,   554,   870,   875,    22,   539,   876,   881,   553,   685,
     170,   550,   550,   903,   906,   907,   550,    15,   651,   538,
     535,   535,   745,   535,   100,   539,   651,   655,   655,   651,
     535,   651,   125,   126,   129,   134,   135,   439,   540,   950,
      15,    30,    54,    58,    59,    61,     8,     9,    10,    24,
      25,    26,   103,   104,   550,   578,   586,   587,   588,    34,
     589,   590,   590,   592,   570,   535,   586,   589,   592,   589,
     569,   535,   651,   537,   537,    31,   630,    31,   630,    31,
     630,     7,    31,   630,    31,   630,   540,   718,   718,   535,
     537,   537,   755,   754,   751,   552,   576,   259,   759,   539,
     771,   553,   535,   351,   243,   782,   341,   342,   553,   786,
     786,   554,   174,   280,   553,   553,   830,   539,   832,   820,
     820,   813,   816,   867,   866,   539,   862,   871,   877,   539,
     894,   550,   539,   535,   653,   537,   539,   626,   654,   641,
     535,   651,    20,   117,   650,   656,   745,   535,   535,   536,
     536,   536,   535,   536,   554,   535,     7,   550,    11,    12,
     579,   538,    12,   538,   579,   550,    64,    65,    66,    67,
     591,   538,   579,    70,   537,   537,   537,   537,   538,     7,
     537,   537,   537,   538,   536,   537,     7,   537,   537,     7,
     537,   751,   178,   179,   203,   250,   251,   254,   255,   260,
     540,   700,   702,   703,   752,   554,   256,   760,   770,   768,
     553,   550,   828,   831,   540,   570,   821,   822,   540,   240,
     377,   394,   540,   814,   223,   260,   267,   379,   380,   381,
     540,   700,   817,   438,   439,   442,   443,   444,   540,   865,
     861,   860,   874,   880,   893,   890,   908,   535,   623,   101,
       6,    15,    16,   536,   540,   627,   629,   631,   633,   634,
     636,   638,   655,   655,   651,   651,   651,   651,   550,   588,
     578,   587,   590,   590,    32,   590,   590,    15,    31,   630,
      31,   630,   630,     7,   630,   576,   553,   539,   252,   253,
     253,   551,   550,   155,   186,   261,   262,   753,   539,   535,
     553,    44,    53,    58,   170,   252,   253,   266,   267,   268,
     273,   540,   769,    58,   223,   245,   249,   252,   253,   260,
     267,   272,   273,   274,   325,   334,   375,   377,   379,   380,
     381,   387,   392,   402,   410,   540,   700,   819,   394,   400,
     823,   553,   550,   553,   535,   550,   155,   261,   390,   550,
     550,   289,   195,   550,   535,   441,   441,   553,   553,   553,
     535,    86,   157,   219,   224,   250,   274,   427,   429,   430,
     434,   435,   437,   445,   446,   540,   856,   441,   447,   540,
     872,   441,   448,   540,   878,    44,   179,   249,   252,   253,
     260,   265,   268,   273,   302,   325,   402,   423,   460,   461,
     462,   463,   465,   540,   700,   891,   472,   473,   479,   540,
     909,   540,   626,   623,   651,     7,   538,   541,   537,   538,
     537,   537,   537,   537,   550,   550,   550,   550,   591,   591,
     537,   537,   537,   538,   537,   536,   537,   701,   702,   254,
     254,   254,   188,   189,   186,    47,    79,   145,   180,   185,
     201,   704,   550,   275,   269,   270,   550,   271,    62,    63,
     214,   272,   688,   550,   254,   254,   274,   535,   382,   383,
     384,   385,   386,   387,   388,   389,   550,   539,   553,   271,
      62,   272,   688,   155,   261,   390,   550,   550,   274,   413,
     326,   384,   553,   550,   550,   289,   195,   550,   411,   550,
     403,   382,   535,   550,   535,   550,   550,   550,   550,   432,
     869,   117,   441,   117,   432,   441,   426,   289,   426,   433,
     426,   553,   431,   280,   436,   275,   259,   857,   259,   858,
     535,   440,   550,   882,   870,   873,   535,   882,   876,   879,
     535,   550,   553,   553,   271,    62,   272,   688,   155,   188,
     390,   468,   892,   550,   280,   274,   467,   554,   326,   403,
     338,   382,   280,   280,   396,   550,   464,   466,   535,   475,
     474,   576,   910,   535,   537,   536,   629,   636,   623,   535,
     651,   535,   535,   535,   535,    32,    32,   630,   630,   540,
     535,   551,   551,   551,   188,   189,    22,   575,    47,   180,
     550,   575,   186,   187,   705,    47,   180,   540,   162,   163,
     550,   550,   550,   550,   550,   551,   551,   553,   824,   397,
     398,   550,   550,   550,   553,   414,   253,   553,   553,   550,
     550,   553,   550,   553,   450,   883,   883,   280,   451,   452,
     453,   859,   550,   859,   280,   550,   254,   550,   254,   550,
     428,   553,   550,   550,   170,   553,   875,   553,   881,   550,
     550,   550,   550,   550,   553,   553,   253,   553,   550,   550,
     550,   553,   553,   553,   476,   476,   651,   537,   550,   550,
     537,   538,   701,   535,   575,   575,   535,   535,   188,   189,
     190,   191,   192,   188,   189,   190,   191,   192,   535,   575,
     575,   554,   554,   540,   554,   826,   553,   396,   553,   550,
     883,   550,   883,   550,   550,   553,   550,   396,   576,   576,
     535,   630,   704,   535,   535,   704,   704,   704,   535,   535,
     391,   825,   538,   704,   704,   704,   704,   535,   630,   537
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   545,   546,   546,   547,   547,   548,   548,   549,   550,
     550,   550,   551,   551,   551,   552,   552,   553,   553,   553,
     553,   553,   553,   554,   554,   554,   555,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   565,   566,
     566,   567,   567,   568,   568,   568,   568,   568,   568,   569,
     569,   570,   570,   571,   571,   572,   572,   572,   572,   572,
     573,   574,   574,   575,   576,   576,   577,   577,   578,   578,
     578,   578,   578,   578,   578,   578,   579,   579,   580,   580,
     580,   580,   580,   580,   580,   580,   580,   581,   582,   583,
     584,   585,   585,   586,   586,   586,   586,   587,   587,   588,
     588,   589,   589,   589,   590,   590,   591,   591,   591,   591,
     592,   592,   592,   593,   593,   593,   593,   594,   594,   594,
     594,   594,   594,   595,   595,   596,   596,   597,   598,   599,
     600,   601,   602,   602,   603,   604,   603,   605,   603,   606,
     548,   608,   607,   548,   609,   548,   610,   548,   611,   548,
     612,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   615,
     615,   616,   616,   617,   618,   618,   619,   620,   548,   622,
     621,   623,   623,   624,   625,   625,   626,   626,   627,   627,
     628,   628,   628,   628,   628,   628,   629,   629,   629,   629,
     630,   631,   631,   631,   631,   631,   631,   631,   631,   631,
     631,   632,   632,   632,   632,   633,   633,   633,   634,   634,
     634,   634,   634,   634,   634,   634,   635,   635,   635,   635,
     635,   636,   636,   636,   636,   636,   637,   637,   638,   638,
     639,   639,   639,   639,   640,   640,   641,   641,   641,   642,
     642,   643,   644,   644,   644,   644,   644,   644,   644,   645,
     645,   645,   645,   645,   645,   645,   645,   645,   645,   646,
     646,   646,   646,   647,   647,   647,   648,   649,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   652,   652,   652,   652,   653,   653,
     653,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   655,   656,   656,   656,   656,   548,   657,   657,   658,
     658,   658,   658,   548,   659,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   548,   661,   661,   662,   548,
     663,   663,   664,   664,   664,   664,   665,   665,   665,   665,
     665,   665,   665,   665,   666,   667,   667,   667,   667,   667,
     667,   667,   667,   668,   668,   669,   669,   670,   671,   672,
     673,   673,   673,   673,   674,   674,   674,   674,   674,   675,
     675,   548,   676,   676,   548,   677,   677,   677,   677,   678,
     678,   678,   678,   678,   678,   678,   678,   679,   680,   681,
     681,   682,   682,   683,   684,   684,   685,   686,   687,   688,
     688,   689,   690,   691,   691,   691,   691,   691,   692,   693,
     694,   694,   694,   695,   695,   696,   696,   696,   696,   696,
     696,   697,   697,   697,   698,   698,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   704,   704,   704,   704,   704,
     704,   704,   704,   704,   705,   705,   705,   705,   705,   705,
     705,   705,   705,   705,   603,   706,   603,   707,   603,   708,
     603,   709,   710,   710,   603,   711,   603,   712,   603,   713,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   715,   715,   715,
     715,   715,   715,   715,   715,   716,   716,   716,   716,   717,
     717,   717,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   603,   719,   720,   720,   720,   720,   720,   720,
     720,   603,   721,   603,   722,   603,   723,   603,   724,   603,
     725,   603,   726,   603,   727,   603,   728,   603,   729,   603,
     730,   603,   731,   732,   732,   732,   733,   733,   603,   734,
     603,   735,   603,   736,   603,   737,   603,   738,   603,   739,
     603,   740,   603,   741,   603,   742,   743,   743,   743,   744,
     744,   744,   745,   689,   746,   747,   747,   747,   747,   748,
     748,   749,   750,   751,   752,   752,   752,   752,   752,   752,
     752,   752,   753,   753,   753,   753,   753,   753,   754,   754,
     755,   755,   756,   757,   758,   758,   758,   759,   759,   760,
     760,   761,   603,   762,   689,   763,   764,   764,   764,   764,
     765,   765,   766,   767,   768,   769,   769,   769,   769,   769,
     769,   769,   769,   769,   769,   769,   769,   769,   769,   769,
     770,   770,   771,   771,   772,   745,   603,   773,   603,   774,
     603,   775,   603,   776,   689,   777,   778,   778,   778,   779,
     779,   779,   779,   779,   780,   780,   781,   781,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   784,   784,   785,   786,
     786,   786,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   787,   787,   788,   788,   789,   789,   790,   791,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   689,   792,   793,   793,   793,   793,   793,   793,   793,
     793,   794,   794,   795,   603,   796,   797,   797,   797,   797,
     797,   797,   689,   798,   798,   798,   799,   800,   800,   801,
     801,   802,   803,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   805,   806,
     807,   807,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   809,   808,   810,   808,   808,   808,   808,   811,   811,
     812,   813,   813,   814,   814,   814,   815,   815,   816,   816,
     817,   817,   817,   817,   817,   817,   817,   817,   817,   817,
     817,   818,   819,   819,   819,   819,   819,   819,   819,   819,
     819,   819,   819,   819,   819,   819,   819,   819,   819,   819,
     819,   819,   819,   819,   819,   819,   819,   819,   819,   819,
     819,   819,   819,   819,   819,   819,   819,   819,   819,   819,
     820,   820,   821,   822,   823,   823,   823,   824,   824,   825,
     825,   826,   827,   828,   828,   830,   829,   831,   831,   832,
     832,   833,   745,   745,   745,   745,   603,   834,   603,   835,
     603,   836,   603,   837,   603,   838,   603,   839,   603,   840,
     603,   841,   842,   842,   842,   842,   842,   842,   842,   842,
     842,   689,   843,   844,   844,   844,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   689,   847,   846,   848,   848,
     848,   848,   689,   849,   850,   850,   850,   850,   851,   850,
     852,   850,   850,   850,   853,   853,   854,   855,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   856,   857,   856,   858,   856,   856,
     856,   859,   859,   859,   860,   861,   861,   862,   862,   863,
     864,   865,   865,   865,   865,   865,   866,   867,   867,   868,
     868,   869,   870,   871,   872,   872,   872,   873,   874,   874,
     875,   875,   876,   877,   878,   878,   878,   879,   880,   880,
     881,   881,   882,   882,   883,   883,   745,   745,   689,   884,
     884,   885,   886,   886,   886,   886,   886,   886,   887,   887,
     888,   889,   890,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   892,   892,
     892,   892,   893,   893,   894,   894,   895,   745,   745,   603,
     896,   603,   897,   689,   898,   899,   900,   900,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   902,   902,   903,
     904,   904,   905,   905,   906,   907,   908,   908,   909,   909,
     909,   910,   689,   911,   912,   912,   912,   912,   912,   912,
     913,   913,   913,   913,   913,   913,   914,   914,   915,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   917,   918,
     918,   919,   919,   603,   920,   921,   922,   922,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   548,   923,   924,   925,
     925,   926,   926,   927,   927,   927,   928,   928,   929,   929,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   548,
     931,   931,   548,   932,   932,   932,   932,   603,   933,   603,
     934,   603,   935,   603,   936,   603,   937,   603,   938,   603,
     939,   603,   940,   941,   941,   942,   942,   942,   689,   943,
     921,   921,   944,   944,   945,   945,   945,   945,   945,   945,
     945,   689,   946,   947,   947,   948,   948,   948,   949,   950,
     951,   951,   952,   952,   953,   745,   745
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     1,     3,     1,     3,     1,
       3,     4,     6,     6,     0,     1,     1,     1,     1,     1,
       2,     4,     4,     2,     2,     2,     2,     2,     4,     2,
       2,     2,     2,     0,     3,     0,     3,     0,     0,     0,
       6,     6,     1,     1,     1,     2,     1,     2,     1,     2,
       1,     0,     4,     1,     2,     1,     4,     1,     6,     1,
       8,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     0,     4,     2,
       5,     0,     4,     1,     1,     1,     2,     4,     1,     0,
       5,     0,     1,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       1,     5,     7,     5,     7,     9,     7,     5,     7,     5,
      11,     1,     1,     2,     1,     7,     9,     7,     7,     9,
       7,     9,     7,     9,     7,    15,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     3,     1,     3,     1,     3,
       1,     2,     2,     6,     1,     3,     0,     4,     3,     1,
       3,     3,     2,     4,     4,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     1,     5,
       7,     7,     1,     0,     1,     3,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     4,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     6,     3,
       3,     3,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     1,     1,     1,     0,     1,
       3,     4,     6,     4,     3,     4,     4,     4,     5,     3,
       3,     3,     2,     5,     4,     7,     7,     7,     7,     7,
       9,     0,     1,     1,     1,     1,     1,     4,     5,     1,
       3,     1,     1,     1,     5,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     4,     1,
       1,     1,     0,     1,     2,     3,     0,     2,     2,     2,
       3,     2,     2,     2,     1,     2,     2,     2,     3,     3,
       3,     2,     4,     0,     3,     0,     3,     0,     3,     1,
       2,     1,     1,     1,     0,     2,     2,     2,     2,     2,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     2,
       4,     3,     4,     4,     3,     4,     4,     3,     0,     1,
       2,     0,     1,     3,     1,     3,     1,     0,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     5,     0,     3,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     4,     1,
       0,     3,     4,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     3,     1,     3,     1,     4,
       1,     5,     1,     0,     1,     3,     1,     4,     1,     4,
       0,     2,     3,     3,     3,     6,     6,     3,     2,     2,
       2,     2,     3,     5,     3,     2,     2,     1,     1,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     4,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     1,     1,     1,
       0,     1,     1,     1,     2,     1,     2,     2,     2,     0,
       3,     5,     0,     0,     2,     4,     4,     4,     2,     2,
       2,     1,     1,     1,     2,     2,     3,     3,     0,     3,
       0,     3,     4,     3,     0,     2,     2,     0,     2,     0,
       2,     4,     1,     5,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     3,     4,     4,
       0,     3,     0,     3,     4,     1,     1,     6,     1,     6,
       1,     6,     1,     6,     2,     2,     0,     3,     3,     0,
       3,     3,     2,     2,     1,     3,     1,     3,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       4,     6,     4,     6,     6,     4,     6,     5,     5,     4,
       5,     5,     6,     3,     3,     4,     5,     6,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     6,     6,     6,
       5,     6,     8,     6,     6,     6,     5,     6,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     5,     6,     7,
       7,     7,     5,     5,     4,     4,     1,     1,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     4,     2,     3,     3,     3,
       2,     2,     2,     3,     5,     5,     4,     3,     3,     3,
       3,     3,     3,     0,     3,     0,     3,     0,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     1,     2,     2,
       4,     0,     3,     5,     1,     4,     0,     3,     3,     3,
       2,     3,     2,     1,     2,     2,     2,     3,     3,     0,
       1,     2,     3,     1,     1,     2,     2,     3,     3,     3,
       3,     4,     2,     4,     3,     2,     3,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     5,     2,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       2,     3,     2,     3,     3,     4,     4,     2,     2,     2,
       3,     3,     3,     2,     3,     3,     3,     4,     2,     1,
       0,     2,     3,     1,     0,     1,     2,     0,     2,     0,
       1,     3,     0,     0,     2,     0,     3,     0,     3,     0,
       3,     3,     1,     1,     1,     1,     1,     4,     1,     6,
       1,     6,     1,     6,     1,     7,     1,     6,     1,     7,
       1,     5,     0,     2,     3,     2,     3,     3,     2,     3,
       2,     2,     2,     3,     3,     3,     1,     3,     3,     2,
       3,     3,     2,     2,     2,     2,     0,     4,     2,     3,
       3,     5,     1,     2,     1,     1,     2,     2,     0,     3,
       0,     3,     2,     3,     0,     3,     5,     0,     4,     4,
       3,     4,     2,     3,     3,     3,     3,     4,     4,     4,
       3,     3,     4,     4,     2,     0,     3,     0,     3,     3,
       3,     1,     1,     1,     0,     0,     3,     0,     3,     4,
       1,     2,     2,     2,     4,     4,     0,     0,     3,     0,
       3,     3,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     2,     0,     2,     1,     1,     1,     1,
       2,     2,     1,     1,     2,     4,     2,     2,     0,     3,
       5,     0,     0,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     4,     3,     2,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     3,     4,     1,     1,     1,
       6,     1,     6,     1,     2,     5,     0,     3,     1,     1,
       2,     3,     1,     2,     3,     3,     3,     0,     1,     2,
       1,     1,     2,     6,     0,     0,     0,     3,     4,     4,
       2,     0,     2,     2,     3,     3,     3,     5,     5,     4,
       3,     2,     3,     3,     3,     3,     1,     2,     2,     2,
       3,     5,     1,     2,     2,     2,     2,     2,     1,     0,
       2,     0,     3,     1,     4,     3,     3,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     2,
       0,     0,     2,     2,     2,     1,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     1,     3,     4,     3,     3,     1,     4,     1,
       5,     1,     3,     1,     3,     1,     3,     1,     4,     1,
       2,     1,     3,     0,     1,     0,     1,     2,     2,     2,
       3,     3,     0,     2,     1,     1,     2,     3,     2,     3,
       4,     2,     2,     3,     3,     1,     2,     3,     0,     2,
       0,     3,     0,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 132 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 133 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 149 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 5694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 158 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 5700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 159 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 165 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 166 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 167 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 175 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 176 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 177 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 178 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 179 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 187 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 188 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 189 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 196 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 5789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 197 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 204 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 211 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 221 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 234 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 253 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 259 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 265 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 273 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 281 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 5904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 291 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 5910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 304 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 313 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 322 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 5940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 57:
#line 332 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 5946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 333 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 5952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 334 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 5965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 345 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 5975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 353 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 5986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 362 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 5996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 371 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 379 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 6011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 6017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 6023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 64 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 6149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 6232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 6238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 6244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 6250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 6256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 6262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 117:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 118:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 182 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 6332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 190 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 6338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 193 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 199 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 482 "filter/config.Y" /* yacc.c:1646  */
    { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 486 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 150:
#line 505 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 519 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 6424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 520 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 6430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 521 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 6436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 522 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 6442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 523 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 6448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 524 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 6454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 525 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 6460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 526 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 6466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 527 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 6472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 6478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 529 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 6484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 530 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 6490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 531 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 6496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 532 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 6502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 533 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 6508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 534 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 558 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 6542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 566 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 6557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 573 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 574 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 587 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 6591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 595 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 610 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 613 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 6629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 623 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 624 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 6641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 6652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 636 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 6668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 650 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 653 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 662 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 663 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 677 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 684 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 6739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 692 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 695 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 702 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 703 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 705 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 706 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 707 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 710 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 712 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 716 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 6835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 717 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 6841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 718 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 6847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 719 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 6853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 723 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 724 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 217:
#line 725 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 729 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 730 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 731 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 733 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 734 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 735 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 6913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 6919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 745 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 753 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 237:
#line 758 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 763 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 767 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 6961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 768 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 6967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 769 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 6973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 770 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 6983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 782 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 7001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 783 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 806 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 810 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 811 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 816 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 823 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 824 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 825 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 826 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 829 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 830 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 835 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 836 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 840 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 842 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 843 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 848 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 849 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 850 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 853 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 897 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 899 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 900 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 902 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 903 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 904 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 908 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 913 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 917 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 921 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 936 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 937 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 939 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 940 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 941 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN, (yyvsp[-2].x)); }
#line 7476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SADR_SRC, (yyvsp[-2].x)); }
#line 7482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 946 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 957 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 958 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 959 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 960 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 961 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 962 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 964 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 969 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 7572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 977 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_QUITBIRD; }
#line 7578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 978 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 7584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 979 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 7590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 980 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 7596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 983 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 984 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 985 "filter/config.Y" /* yacc.c:1646  */
    {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 7619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 994 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 7627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 997 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 7635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 1000 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 7652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 1012 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 7661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 1016 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 7669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 1019 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 7679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 1024 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 7687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 1027 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 7695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 1030 "filter/config.Y" /* yacc.c:1646  */
    {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 7711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 1041 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 7720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 1045 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 7728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 1048 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 7734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 1049 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 7742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 1053 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 1054 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 1055 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 1056 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 1057 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 1058 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 7784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 1063 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 7792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 7798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 1069 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 7804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 1070 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 7810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 1071 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 7816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 109 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 110 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 114 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 7834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 115 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 371:
#line 116 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 7846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 117 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 129 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 135 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 7871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 136 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 7877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 137 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 138 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 7889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 139 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 7895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 140 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 7901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 141 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 7907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 142 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 7913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 143 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 7919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 144 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 7925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 155 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 156 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 159 "nest/config.Y" /* yacc.c:1646  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 7947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 169 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 7953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 172 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 7959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 173 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 7965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 177 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 7976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 183 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 7985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 187 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 8019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 210 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 8025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 211 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 8031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 212 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 8037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 213 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 214 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 215 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 220 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 225 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 230 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 8079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 8085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 8097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 410:
#line 234 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 8103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 411:
#line 235 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 236 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 250 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 260 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 263 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 8138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 8144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 266 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 8150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 270 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 271 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 8162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 272 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 8168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 273 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 8174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 428:
#line 274 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 278 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 279 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 8192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 432:
#line 286 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 287 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 8204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 295 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 8210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 296 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 8216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 297 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 8222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 298 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 8228 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8234 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8240 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8252 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 306 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 444:
#line 307 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 445:
#line 308 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 309 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 320 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 328 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 329 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 333 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 8304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 452:
#line 334 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 8310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 348 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 8316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 459:
#line 362 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 460:
#line 363 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 370 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 381 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 399 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 406 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 410 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 8393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 411 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 8399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 412 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 8405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 413 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 8411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 479:
#line 414 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 8417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 415 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 8423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 422 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 423 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 428 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 432 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 8453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 487:
#line 433 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 8459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 454 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 8481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 495:
#line 474 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 8487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 475 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 476 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 8499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 477 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 478 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 8511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 479 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 480 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 481 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 8529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 486 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 8541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 487 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 8547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 8553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 489 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 8559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 490 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 8565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 491 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 510:
#line 492 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 493 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 495 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 8601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 505 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 8607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 508 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8613 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 522:
#line 514 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 8625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 515 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 8631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 519 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 8637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 522 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 8643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 526 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 8649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 529 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 535 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 540 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 533:
#line 546 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 552 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 559 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (yyvsp[-2].s)->proto;
     if (!cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->in_table) cf_error("No import table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (yyvsp[-2].s)->proto;
     if (!cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->out_table) cf_error("No export table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 581 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 599 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 603 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 613 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->proto;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 624 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 633 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 8837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 637 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 8846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 644 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 8855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 651 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 655 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 659 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 8882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 663 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 8898 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 679 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 680 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 683 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 8916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 684 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 8922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 685 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 8928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 690 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 8934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 691 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 8940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 692 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 8946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 693 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 8952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 694 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 8958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 8964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 696 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 8970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 697 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 8976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 698 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 8982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 699 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 8988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 700 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 8994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 701 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 9000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 702 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 9006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 703 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 9012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 704 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 9018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 9024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 706 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 9030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 707 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 708 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 9048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 714 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 717 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 720 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 721 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 722 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 723 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 724 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 725 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 731 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 9104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 733 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 9110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 735 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 9116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 737 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 9122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 739 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 9128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 741 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 9134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 743 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 9140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 745 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 9146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 747 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 9152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 750 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 753 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 759 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 760 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 761 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 765 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 9191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 766 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9200 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 773 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 775 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 777 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 779 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 781 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 783 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 787 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 9242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 791 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 797 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 798 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 803 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 804 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 805 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 808 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 37 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
}
#line 9306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 60 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 74 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 9346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 94 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 95 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 9358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 96 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 97 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 9370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 98 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 9376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 99 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 9382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 100 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 9388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 101 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 9394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 105 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 9400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 106 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 9406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 107 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 9412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 108 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 9418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 109 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 9424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 110 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 9430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 9436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 132 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 9442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 133 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 9448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 134 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 9454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 138 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 9460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 139 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 9466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 143 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 144 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 167 "proto/bfd/config.Y" /* yacc.c:1646  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 9504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 35 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 45 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 9520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 58 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 9536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 72 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 98 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 99 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 100 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 101 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 102 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 103 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 104 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 105 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 106 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 107 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 108 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 109 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 110 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 709:
#line 111 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 128 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 133 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 136 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 139 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 142 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 48 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 9710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 79 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 80 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 85 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 86 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 9734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 87 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 9740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 88 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 9746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 9752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 94 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 103 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 9770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 104 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 9776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 105 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 9782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 9788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 107 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 9794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 108 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 9800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 9806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 9812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 9818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 119 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 130 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 9850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 137 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 9856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 138 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 9862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 139 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 9868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 9874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 141 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 9880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 142 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 9886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 9892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 9898 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 9904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 9910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 147 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 9916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 148 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 9926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 9932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 9938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 9944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 9950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 9956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 9962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 9968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 9974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 9980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 9986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 9992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 9998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 10064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 10088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 10154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = BGP_BFD_GRACEFUL; cf_check_bfd(1); }
#line 10160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 10166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 10172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 10196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 10202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 10208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 10214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 10220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 10226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 10232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
  }
}
#line 10259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 10271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 10277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 10283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 10289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 10295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 243 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 10301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 244 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 10307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 245 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 10313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 10319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 247 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 10325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 248 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 10331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 249 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 10337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 250 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 10343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 251 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 10349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 252 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 10355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 253 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 10361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 254 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 10367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 255 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 10373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 256 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 10379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 257 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 10385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 258 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 10391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 259 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 10407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 10424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 296 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 10430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 298 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 10436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 300 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 10442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 302 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 10448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 304 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 10454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 306 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 10460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 308 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 10466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 310 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 10472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 312 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 10478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 314 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 10484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 316 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 10490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 10498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 10504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 10510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 10528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 10534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 10540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 10546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 10552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 10558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 10564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 10570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 10588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 211 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 10594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 220 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 10630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 240 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 246 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 10685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 10691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 10697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 10709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 10721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 10727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 10751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 10757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 10763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 10775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 10781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 10793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 10805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 10811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 10817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 10823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 10834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 10840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 10846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 10852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 10906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 10938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 10944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 10956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 972:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 11106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 11148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 993:
#line 430 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 11164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 439 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 11170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 11176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 449 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 454 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 11199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 463 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 11223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 486 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 490 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 11235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 504 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 507 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 11247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 508 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 11253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 11259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 514 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 11271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 517 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 520 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 525 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 11289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 528 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 11295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 533 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 11301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 536 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 11307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 540 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 11318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 548 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 11326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 551 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 11332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 552 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 11338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 553 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 11344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 554 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 11350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 555 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 11356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 556 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 11362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 557 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 11368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 11374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 11389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 45 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 11401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 11407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 11413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 11419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 11425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 11431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 11437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 11443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 11449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 11457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 11470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 11476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 47 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 11489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 60 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 11495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 11507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 11519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 63 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 11525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 64 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 11531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 77 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 11557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 100 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 11563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 101 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 11569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 102 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 11575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 103 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 11581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 104 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 11587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 105 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 11593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 106 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 11599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 107 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 11605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 108 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 11611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 109 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 11617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 110 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 11678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 11690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 126 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 11696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 127 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 11702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 131 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 11708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 11714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 11720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 11761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 189 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 11775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 200 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 11781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 201 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 11787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 202 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 11793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 203 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 207 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 214 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 11823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 238 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 247 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 254 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 11850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 258 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 282 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 11881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 294 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 301 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 11896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 305 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 11912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 329 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 11918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 330 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 11924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 334 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 11930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 335 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 338 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 11942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 339 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 11948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 48 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 53 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 11976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 68 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 11982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 11994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 84 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 12021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 108 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 138 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 139 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 148 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 149 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 12135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 12141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 12153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 12165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 12171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 12177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 12183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 12189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 12201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 12207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 12213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 12219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 171 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 172 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 189 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 12237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 190 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 12243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 198 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 12266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 12272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 64 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 12283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 12294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 12305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 85 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 86 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 89 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 12323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 92 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 12332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 96 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 12345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 112 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 12355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 119 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
}
#line 12365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 131 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 12371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 132 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 12377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 133 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 12383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 137 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 12392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 12401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 12407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 66 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 12413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 12426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 75 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 12432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 79 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 12442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 84 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 12452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 89 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 12460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 12468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 12477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 99 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 12485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 109 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 12499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 122 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 12508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 126 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 12518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 131 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 12524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 134 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 135 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 136 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 12554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 140 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 12566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 161 "proto/static/config.Y" /* yacc.c:1646  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 12572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 25 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 12578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 12584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 12590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 12596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 12602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 12608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 12614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 12620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 12626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 12632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 12638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 12644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 12650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 12656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 12662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 12668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 12674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 12680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 12686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 12692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 12698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 12704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 12710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 12716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 12722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 12728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 12734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 12740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 12746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 61 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 12752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 33 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 12758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 35 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 12767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 12773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 43 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 12779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 48 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 12785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 52 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     this_log->fh = rf_file(this_log->rf);
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 12797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 59 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 12803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 60 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 12809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 64 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 12815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 69 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 12827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 70 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 12833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 74 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 12839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 12845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 12851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 12857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 12863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 12869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 12875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 12881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 12887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 89 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 12893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = rf_fileno(f);
   }
#line 12903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 12909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 12915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 12921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 12927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 113 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 12933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 12939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 123 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 12945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 126 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 12951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 12957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 12963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 12969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 138 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 12975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 142 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 12981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 147 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 148 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 12993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 149 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 13031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 13101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 13107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 13113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 13117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 49 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 383 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 811 "nest/config.Y"
/* C Code from nest/config.Y */

#line 169 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 322 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 561 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 57 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 341 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 201 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 142 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 64 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 152 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

